/dts-v1/;

/ {

	__fixups__ {
		accdet = "/fragment@25:target:0", "/fragment@53:target:0";
		antenna_boardid_detect = "/fragment@1:target:0", "/fragment@35:target:0";
		audgpio = "/fragment@27:target:0";
		audio_hw_config = "/fragment@30:target:0";
		auxadc = "/fragment@36:target:0";
		charger = "/fragment@8:target:0";
		consys = "/fragment@10:target:0";
		dev_detect = "/fragment@0:target:0";
		deviceboxID = "/fragment@29:target:0";
		dsi_te = "/fragment@57:target:0";
		flashlights_mt6370 = "/fragment@72:target:0";
		gpio = "/fragment@49:target:0";
		gpio_usage_mapping = "/fragment@48:target:0";
		hisi_shell = "/fragment@22:target:0";
		huawei_lcd_config = "/fragment@12:target:0", "/fragment@13:target:0", "/fragment@14:target:0", "/fragment@15:target:0", "/fragment@16:target:0", "/fragment@17:target:0";
		huawei_lcd_panel = "/fragment@18:target:0";
		huawei_scp_info = "/fragment@21:target:0";
		huawei_wifi_info = "/fragment@11:target:0";
		i2c0 = "/fragment@38:target:0";
		i2c1 = "/fragment@39:target:0";
		i2c2 = "/fragment@40:target:0", "/fragment@73:target:0";
		i2c3 = "/fragment@41:target:0";
		i2c4 = "/fragment@42:target:0", "/fragment@74:target:0";
		i2c5 = "/fragment@43:target:0";
		i2c6 = "/fragment@32:target:0", "/fragment@33:target:0", "/fragment@44:target:0";
		i2c7 = "/fragment@45:target:0";
		i2c8 = "/fragment@46:target:0";
		i2c9 = "/fragment@47:target:0";
		irq_nfc = "/fragment@54:target:0";
		kd_camera_hw1 = "/fragment@68:target:0", "/fragment@79:target:0";
		keypad = "/fragment@70:target:0";
		main_pmic = "/fragment@58:target:0";
		md1_sim1_hot_plug_eint = "/fragment@60:target:0";
		md1_sim2_hot_plug_eint = "/fragment@61:target:0";
		msdc1_ins = "/fragment@51:target:0";
		mt6370_pmu = "/fragment@4:target:0";
		mt_pmic_vcama_ldo_reg = "/fragment@62:target:0", "/fragment@76:target:0", "/fragment@79/__overlay__:vcama-supply:0", "/fragment@79/__overlay__:vcama_sub-supply:0", "/fragment@79/__overlay__:vcama_main2-supply:0";
		mt_pmic_vcamd_ldo_reg = "/fragment@65:target:0", "/fragment@77:target:0", "/fragment@79/__overlay__:vcamd-supply:0", "/fragment@79/__overlay__:vcamd_sub-supply:0";
		mt_pmic_vcamio_ldo_reg = "/fragment@66:target:0", "/fragment@78:target:0", "/fragment@79/__overlay__:vcamio-supply:0", "/fragment@79/__overlay__:vcamio_sub-supply:0", "/fragment@79/__overlay__:vcamio_main2-supply:0";
		mt_pmic_vldo28_ldo_reg = "/fragment@5/__overlay__/touchscreen@38:ts-kit-vcc-supply:0", "/fragment@5/__overlay__/ts_kit@14:ts-kit-vcc-supply:0", "/fragment@67:target:0", "/fragment@69/__overlay__:vtouch-supply:0", "/fragment@79/__overlay__:vcamaf-supply:0";
		mt_pmic_vs1_buck_reg = "/fragment@5/__overlay__/touchscreen@38:ts-kit-iovdd-supply:0", "/fragment@5/__overlay__/ts_kit@14:ts-kit-iovdd-supply:0";
		mt_pmic_vsim1_ldo_reg = "/fragment@63:target:0";
		mt_pmic_vsim2_ldo_reg = "/fragment@64:target:0";
		mtkfb = "/fragment@20:target:0";
		odm = "/fragment@3:target:0";
		otg_iddig = "/fragment@59:target:0";
		pio = "/fragment@2:target:0", "/fragment@5/__overlay__:interrupt-parent:0", "/fragment@7:target:0", "/fragment@9:target:0", "/fragment@19:target:0", "/fragment@26:target:0", "/fragment@28:target:0", "/fragment@29/__overlay__:gpio_speakerID:0", "/fragment@31/__overlay__/cs35l41@0:reset-gpios:0", "/fragment@31/__overlay__/cs35l41@0:irq-gpios:0", "/fragment@32/__overlay__/tas2557@4c:ti,cdc-reset-gpio:0", "/fragment@32/__overlay__/tas2557@4c:ti,irq-gpio:0", "/fragment@33/__overlay__/smartpa@35:reset-gpio:0", "/fragment@33/__overlay__/smartpa@35:irq-gpio:0", "/fragment@48/__overlay__:GPIO_SIM2_SIO:0", "/fragment@48/__overlay__:GPIO_SIM2_SRST:0", "/fragment@48/__overlay__:GPIO_SIM2_SCLK:0", "/fragment@48/__overlay__:GPIO_SIM1_SCLK:0", "/fragment@48/__overlay__:GPIO_SIM1_SRST:0", "/fragment@48/__overlay__:GPIO_SIM1_SIO:0", "/fragment@48/__overlay__:GPIO_SIM2_HOT_PLUG:0", "/fragment@48/__overlay__:GPIO_SIM1_HOT_PLUG:0", "/fragment@48/__overlay__:GPIO_FDD_BAND_SUPPORT_DETECT_4TH_PIN:0", "/fragment@48/__overlay__:GPIO_FDD_BAND_SUPPORT_DETECT_3RD_PIN:0", "/fragment@48/__overlay__:GPIO_FDD_BAND_SUPPORT_DETECT_2ND_PIN:0", "/fragment@48/__overlay__:GPIO_FDD_BAND_SUPPORT_DETECT_1ST_PIN:0", "/fragment@48/__overlay__:GPIO_FDD_BAND_SUPPORT_DETECT_5TH_PIN:0", "/fragment@50/__overlay__:interrupt-parent:0", "/fragment@51/__overlay__:interrupt-parent:0", "/fragment@52/__overlay__:interrupt-parent:0", "/fragment@53/__overlay__:interrupt-parent:0", "/fragment@53/__overlay__:deb-gpios:0", "/fragment@54/__overlay__:interrupt-parent:0", "/fragment@55/__overlay__:interrupt-parent:0", "/fragment@56/__overlay__:interrupt-parent:0", "/fragment@57/__overlay__:interrupt-parent:0", "/fragment@58/__overlay__:interrupt-parent:0", "/fragment@59/__overlay__:interrupt-parent:0", "/fragment@59/__overlay__:deb-gpios:0", "/fragment@75:target:0";
		pmic_clock_buffer_ctrl = "/fragment@37:target:0";
		product_name_camera = "/fragment@71:target:0";
		rootparam = "/fragment@34:target:0";
		rt9465_slave_chr = "/fragment@56:target:0";
		shell_back = "/fragment@24:target:0";
		shell_front = "/fragment@23:target:0";
		smart_pa = "/fragment@52:target:0";
		spi3 = "/fragment@31:target:0";
		subpmic_pmu_eint = "/fragment@55:target:0";
		touch = "/fragment@6:target:0", "/fragment@50:target:0", "/fragment@69:target:0";
		ts_kit = "/fragment@5:target:0";
	};

	__local_fixups__ {

		fragment@1 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
				pinctrl-7 = <0x0>;
				pinctrl-8 = <0x0>;
				pinctrl-9 = <0x0>;
			};
		};

		fragment@10 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
			};
		};

		fragment@20 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
			};
		};

		fragment@25 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
			};
		};

		fragment@27 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
				pinctrl-7 = <0x0>;
			};
		};

		fragment@29 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
			};
		};

		fragment@5 {

			__overlay__ {

				touchscreen@38 {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
				};

				ts_kit@14 {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
				};
			};
		};

		fragment@6 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
			};
		};

		fragment@79 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-10 = <0x0>;
				pinctrl-11 = <0x0>;
				pinctrl-12 = <0x0>;
				pinctrl-13 = <0x0>;
				pinctrl-14 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
				pinctrl-7 = <0x0>;
				pinctrl-8 = <0x0>;
				pinctrl-9 = <0x0>;
			};
		};
	};

	__symbols__ {
		accdet_pins_default = "/fragment@26/__overlay__/accdetdefault";
		accdet_pins_eint_as_int = "/fragment@26/__overlay__/accdeteint@0";
		ant_pins_all_default = "/fragment@2/__overlay__/ant_pins_all_default";
		ant_pins_id0_bias_down = "/fragment@2/__overlay__/ant_pins_id0_bias_down";
		ant_pins_id0_bias_up = "/fragment@2/__overlay__/ant_pins_id0_bias_up";
		ant_pins_id0_default = "/fragment@2/__overlay__/ant_pins_id0_default";
		ant_pins_id1_bias_down = "/fragment@2/__overlay__/ant_pins_id1_bias_down";
		ant_pins_id1_bias_up = "/fragment@2/__overlay__/ant_pins_id1_bias_up";
		ant_pins_id1_default = "/fragment@2/__overlay__/ant_pins_id1_default";
		ant_pins_id2_bias_down = "/fragment@2/__overlay__/ant_pins_id2_bias_down";
		ant_pins_id2_bias_up = "/fragment@2/__overlay__/ant_pins_id2_bias_up";
		ant_pins_id2_default = "/fragment@2/__overlay__/ant_pins_id2_default";
		aud_clk_miso_off = "/fragment@28/__overlay__/aud_clk_miso_off";
		aud_clk_miso_on = "/fragment@28/__overlay__/aud_clk_miso_on";
		aud_clk_mosi_off = "/fragment@28/__overlay__/aud_clk_mosi_off";
		aud_clk_mosi_on = "/fragment@28/__overlay__/aud_clk_mosi_on";
		aud_dat_miso_off = "/fragment@28/__overlay__/aud_dat_miso_off";
		aud_dat_miso_on = "/fragment@28/__overlay__/aud_dat_miso_on";
		aud_dat_mosi_off = "/fragment@28/__overlay__/aud_dat_mosi_off";
		aud_dat_mosi_on = "/fragment@28/__overlay__/aud_dat_mosi_on";
		aud_deviceid_box_off = "/fragment@28/__overlay__/aud_deviceid_box_off";
		aud_deviceid_box_on = "/fragment@28/__overlay__/aud_deviceid_box_on";
		camera_main_af_mtk = "/fragment@73/__overlay__/camera_main_af@0c";
		camera_main_eeprom_mtk = "/fragment@73/__overlay__/camera_main_eeprom@50";
		camera_main_mtk = "/fragment@73/__overlay__/camera_main@10";
		camera_main_two_eeprom_mtk = "/fragment@74/__overlay__/camera_main_two_eeprom@50";
		camera_main_two_mtk = "/fragment@74/__overlay__/camera_main_two@17";
		camera_pins_cam0_mclk_off = "/fragment@75/__overlay__/camera_pins_cam0_mclk_off";
		camera_pins_cam0_mclk_on = "/fragment@75/__overlay__/camera_pins_cam0_mclk_on";
		camera_pins_cam0_rst0 = "/fragment@75/__overlay__/cam0@0";
		camera_pins_cam0_rst1 = "/fragment@75/__overlay__/cam0@1";
		camera_pins_cam1_mclk_off = "/fragment@75/__overlay__/camera_pins_cam1_mclk_off";
		camera_pins_cam1_mclk_on = "/fragment@75/__overlay__/camera_pins_cam1_mclk_on";
		camera_pins_cam1_rst0 = "/fragment@75/__overlay__/cam1@0";
		camera_pins_cam1_rst1 = "/fragment@75/__overlay__/cam1@1";
		camera_pins_cam2_mclk_off = "/fragment@75/__overlay__/camera_pins_cam2_mclk_off";
		camera_pins_cam2_mclk_on = "/fragment@75/__overlay__/camera_pins_cam2_mclk_on";
		camera_pins_cam2_pnd0 = "/fragment@75/__overlay__/cam2@2";
		camera_pins_cam2_pnd1 = "/fragment@75/__overlay__/cam2@3";
		camera_pins_cam2_rst0 = "/fragment@75/__overlay__/cam2@0";
		camera_pins_cam2_rst1 = "/fragment@75/__overlay__/cam2@1";
		camera_pins_default = "/fragment@75/__overlay__/camdefault";
		camera_sub_eeprom_mtk = "/fragment@74/__overlay__/camera_sub_eeprom@52";
		camera_sub_mtk = "/fragment@74/__overlay__/camera_sub@36";
		cap_touch_mtk = "/fragment@38/__overlay__/cap_touch@5d";
		consys_pins_default = "/fragment@9/__overlay__/consys_default";
		cs35l41 = "/fragment@31/__overlay__/cs35l41@0";
		ctp_pins_default = "/fragment@7/__overlay__/eint0default";
		ctp_pins_eint_as_int = "/fragment@7/__overlay__/eint@0";
		ctp_pins_eint_output0 = "/fragment@7/__overlay__/eintoutput0";
		ctp_pins_eint_output1 = "/fragment@7/__overlay__/eintoutput1";
		ctp_pins_rst_output0 = "/fragment@7/__overlay__/rstoutput0";
		ctp_pins_rst_output1 = "/fragment@7/__overlay__/rstoutput1";
		dsi_mex_auo_otm1901a_5p2_1080p_video_default = "/fragment@12/__overlay__/lcd_kit_mex_auo_otm1901a_5p2_1080p_video_default";
		dsi_mex_dsbj_ili9881c_6p08_720p_video = "/fragment@13/__overlay__/lcd_kit_mex_dsbj_ili9881c_6p08_720p_video";
		dsi_mex_hx_hx8394f_6p08_720p_video = "/fragment@14/__overlay__/lcd_kit_mex_hx_hx8394f_6p08_720p_video";
		dsi_mex_ofilm_hx8394f_6p08_720p_video = "/fragment@15/__overlay__/lcd_kit_mex_ofilm_hx8394f_6p08_720p_video";
		dsi_mex_ofilmi_inx_hx8394f_6p08_720p_video = "/fragment@16/__overlay__/lcd_kit_mex_ofilmi_inx_hx8394f_6p08_720p_video";
		dsi_mex_txd_hx8394f_6p08_720p_video = "/fragment@17/__overlay__/lcd_kit_mex_txd_hx8394f_6p08_720p_video";
		ext_buck_lp4_mtk = "/fragment@41/__overlay__/ext_buck_lp4@57";
		ext_buck_lp4x_mtk = "/fragment@41/__overlay__/ext_buck_lp4x@50";
		ext_buck_vgpu_mtk = "/fragment@44/__overlay__/ext_buck_vgpu@55";
		fts = "/fragment@5/__overlay__/touchscreen@38";
		goodix_kit = "/fragment@5/__overlay__/ts_kit@14";
		gpslna_pins_init = "/fragment@9/__overlay__/gpslna@0";
		gpslna_pins_oh = "/fragment@9/__overlay__/gpslna@1";
		gpslna_pins_ol = "/fragment@9/__overlay__/gpslna@2";
		led0 = "/fragment@3/__overlay__/led@0";
		led1 = "/fragment@3/__overlay__/led@1";
		led2 = "/fragment@3/__overlay__/led@2";
		led3 = "/fragment@3/__overlay__/led@3";
		led4 = "/fragment@3/__overlay__/led@4";
		led5 = "/fragment@3/__overlay__/led@5";
		led6 = "/fragment@3/__overlay__/led@6";
		mtkfb_pins_lcm_reset0 = "/fragment@19/__overlay__/lcm_rst_out0_gpio";
		mtkfb_pins_lcm_reset1 = "/fragment@19/__overlay__/lcm_rst_out1_gpio";
		nfc_mtk = "/fragment@41/__overlay__/nfc@08";
		slave_charger_mtk = "/fragment@41/__overlay__/slave_charger@4b";
		speaker_amp_mtk = "/fragment@41/__overlay__/speaker_amp@34";
		subpmic_pmu_mtk = "/fragment@43/__overlay__/subpmic_pmu@34";
		tfa9894_smartpa_up_r = "/fragment@33/__overlay__/smartpa@35";
		usb_type_c_mtk = "/fragment@43/__overlay__/usb_type_c@4e";
		vibrator0 = "/fragment@3/__overlay__/vibrator@0";
	};

	fragment@0 {
		target = <0xffffffff>;

		__overlay__ {
			airpress = <0x0>;
			anc_max14744 = <0x0>;
			antenna_ctl = <0x0>;
			ap_color = <0x0>;
			aps = <0x0>;
			audience = <0x0>;
			battery = <0x0>;
			bt = <0x0>;
			camera_main = <0x0>;
			camera_pmic = <0x0>;
			camera_pmu = <0x0>;
			camera_slave = <0x0>;
			charge = <0x0>;
			charge_loadswitch = <0x0>;
			compass = <0x0>;
			compatible = "huawei,dev_detect";
			coul = <0x0>;
			cpu_chip = <0x0>;
			dc_dc = <0x0>;
			dtv = <0x0>;
			fm = <0x0>;
			g_sensor = <0x0>;
			gps = <0x0>;
			gpu = <0x0>;
			gyroscope = <0x0>;
			hand_sensor = <0x0>;
			handpress = <0x0>;
			irda = <0x0>;
			keypad = <0x0>;
			l_sensor = <0x0>;
			laser = <0x0>;
			max77813 = <0x0>;
			mhl = <0x0>;
			nct = <0x0>;
			nfc = <0x0>;
			ofn = <0x0>;
			pmu_dcdc = <0x0>;
			speaker = <0x0>;
			status = "ok";
			touch_panel = <0x0>;
			tps = <0x0>;
			typec = <0x0>;
			usb_switch = <0x0>;
			vibrator_lra = <0x0>;
			wifi = <0x0>;
		};
	};

	fragment@1 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x1>;
			pinctrl-1 = <0x2>;
			pinctrl-2 = <0x3>;
			pinctrl-3 = <0x4>;
			pinctrl-4 = <0x5>;
			pinctrl-5 = <0x6>;
			pinctrl-6 = <0x7>;
			pinctrl-7 = <0x8>;
			pinctrl-8 = <0x9>;
			pinctrl-9 = <0xa>;
			pinctrl-names = "default", "state_id0_default", "state_id0_bias_up", "state_id0_bias_down", "state_id1_default", "state_id1_bias_up", "state_id1_bias_down", "state_id2_default", "state_id2_bias_up", "state_id2_bias_down";
			status = "ok";
		};
	};

	fragment@10 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x11>;
			pinctrl-1 = <0x12>;
			pinctrl-2 = <0x13>;
			pinctrl-3 = <0x14>;
			pinctrl-names = "default", "gps_lna_state_init", "gps_lna_state_oh", "gps_lna_state_ol";
			status = "okay";
		};
	};

	fragment@11 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "huawei,huawei_wifi_info";
			ini_type = "JAT_TL00";
			status = "okay";
			wifi_chiptype = "WIFI_MTK_6631";
		};
	};

	fragment@12 {
		target = <0xffffffff>;

		__overlay__ {

			lcd_kit_mex_auo_otm1901a_5p2_1080p_video_default {
				compatible = "auo_otm1901a_5p2_1080p_video_default";
				lcd-kit,backlight-cmds = <0x15 0x1 0x0 0x0 0x0 0x0 0x2 0x51 0x0>;
				lcd-kit,check-reg-support = <0x0>;
				lcd-kit,effect-on-cmds = <0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x55 0x81>;
				lcd-kit,esd-support = <0x0>;
				lcd-kit,h-back-porch = <0x28>;
				lcd-kit,h-front-porch = <0x3c>;
				lcd-kit,h-pulse-width = <0x8>;
				lcd-kit,hs-off-stage = <0x0 0x0 0x0>;
				lcd-kit,hs-on-stage = <0x0 0x0 0x0>;
				lcd-kit,inversion-support = <0x0>;
				lcd-kit,lcd-reset = <0x2 0x2d 0x0>;
				lcd-kit,lcd-vsn = <0x1 0x0 0x5b8d80>;
				lcd-kit,lcd-vsp = <0x1 0x4 0x5b8d80>;
				lcd-kit,lp-off-stage = <0x0 0x0 0x0>;
				lcd-kit,lp-on-stage = <0x0 0x0 0x0>;
				lcd-kit,mipi-clk-post-adjust = <0x0>;
				lcd-kit,mipi-lane-nums = <0x3>;
				lcd-kit,mipi-lp11-flag = <0x0>;
				lcd-kit,mipi-non-continue-enable = <0x0>;
				lcd-kit,panel-bgr-fmt = <0x0>;
				lcd-kit,panel-bias-ic-ctrl-type = <0x0>;
				lcd-kit,panel-bl-ic-ctrl-type = <0x0>;
				lcd-kit,panel-bl-max = <0xff>;
				lcd-kit,panel-bl-max-nit = <0x1c2>;
				lcd-kit,panel-bl-maxnit-command = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xdb>;
				lcd-kit,panel-bl-maxnit-command-state = "dsi_lp_mode";
				lcd-kit,panel-bl-min = <0x4>;
				lcd-kit,panel-bpp = <0x2>;
				lcd-kit,panel-cmd-type = <0x8>;
				lcd-kit,panel-data-rate = <0x29d>;
				lcd-kit,panel-density = <0x140>;
				lcd-kit,panel-dsi-switch-mode = <0x0>;
				lcd-kit,panel-dsi-switch-mode-en = <0x0>;
				lcd-kit,panel-fbk-div = <0x1>;
				lcd-kit,panel-getblmaxnit-type = <0x0>;
				lcd-kit,panel-gpio-offset = <0x0>;
				lcd-kit,panel-height = <0x8c>;
				lcd-kit,panel-lcm-type = <0x2>;
				lcd-kit,panel-ldi-data-padding = <0x0>;
				lcd-kit,panel-ldi-dsi-mode = <0x1>;
				lcd-kit,panel-ldi-packet-size = <0x100>;
				lcd-kit,panel-ldi-ps = <0x2>;
				lcd-kit,panel-ldi-trans-seq = <0x0>;
				lcd-kit,panel-name = "AUO_OTM1901A 5.2' VIDEO TFT 1080 x 1920 DEFAULT";
				lcd-kit,panel-off-cmds = <0x5 0x1 0x0 0x0 0x3c 0x1 0x2 0x28 0x0 0x5 0x1 0x0 0x0 0x78 0x1 0x2 0x10 0x0>;
				lcd-kit,panel-on-cmds = <0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0x0 0x29 0x1 0x0 0x0 0xa 0x0 0x4 0xff 0x19 0x1 0x1 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0x80 0x29 0x1 0x0 0x0 0xa 0x0 0x3 0xff 0x19 0x1 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0x88 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xf3 0x0 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0xb0 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xca 0x1 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0xb1 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xca 0x1 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0xb3 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xca 0x40 0x29 0x1 0x0 0x0 0xa 0x0 0x2 0x0 0x0 0x29 0x1 0x0 0x0 0xa 0x0 0x4 0xff 0xff 0xff 0xff 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x35 0x1 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x53 0x24 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x55 0x0 0x15 0x1 0x0 0x0 0xa 0x0 0x2 0x5e 0x28 0x5 0x1 0x0 0x0 0x78 0x1 0x2 0x11 0x0 0x5 0x1 0x0 0x0 0x64 0x1 0x2 0x29 0x0>;
				lcd-kit,panel-orientation = <0x1>;
				lcd-kit,panel-pxl-clk = <0x0>;
				lcd-kit,panel-pxl-clk-div = <0x0>;
				lcd-kit,panel-type = <0x1>;
				lcd-kit,panel-vfp-lp = <0x0>;
				lcd-kit,panel-width = <0x41>;
				lcd-kit,panel-xres = <0x2d0>;
				lcd-kit,panel-yres = <0x618>;
				lcd-kit,power-off-stage = <0x6 0x0 0x0 0x7 0x0 0x0 0x8 0x0 0x0 0x5 0x0 0x2 0x4 0x0 0x0 0x3 0x0 0x5>;
				lcd-kit,power-on-stage = <0x5 0x0 0x2 0x7 0x1 0x0 0x3 0x1 0x0 0x4 0x1 0xa 0x5 0x1 0x2 0x5 0x0 0x2 0x5 0x1 0xc 0x6 0x1 0x0 0x8 0x1 0x0>;
				lcd-kit,pt-support = <0x1>;
				lcd-kit,ssc-disable = <0x1>;
				lcd-kit,tp-color-cmds = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xda>;
				lcd-kit,tp-color-support = <0x1>;
				lcd-kit,v-back-porch = <0x14>;
				lcd-kit,v-front-porch = <0xc>;
				lcd-kit,v-pulse-width = <0x4>;
				linux,phandle = <0x3c>;
				phandle = <0x3c>;
			};
		};
	};

	fragment@13 {
		target = <0xffffffff>;

		__overlay__ {

			lcd_kit_mex_dsbj_ili9881c_6p08_720p_video {
				compatible = "dsbj-ili9881c-6p08-720p-video";
				lcd-kit,check-reg-cmds = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xa>;
				lcd-kit,check-reg-support = <0x1>;
				lcd-kit,check-reg-value = <0x9c>;
				lcd-kit,esd-reg-cmds = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xa>;
				lcd-kit,esd-support = <0x1>;
				lcd-kit,esd-value = <0x9c>;
				lcd-kit,h-back-porch = <0x28>;
				lcd-kit,h-front-porch = <0x3c>;
				lcd-kit,h-pulse-width = <0x8>;
				lcd-kit,hs-off-stage = <0x0 0x0 0x0>;
				lcd-kit,hs-on-stage = <0x0 0x0 0x0>;
				lcd-kit,inversion-column-cmds = <0x39 0x1 0x0 0x0 0x0 0x0 0x4 0xff 0x98 0x81 0x1 0x39 0x1 0x0 0x0 0x0 0x0 0x2 0x31 0x0 0x39 0x1 0x0 0x0 0x0 0x0 0x4 0xff 0x98 0x81 0x0>;
				lcd-kit,inversion-dot-cmds = <0x39 0x1 0x0 0x0 0x0 0x0 0x4 0xff 0x98 0x81 0x1 0x39 0x1 0x0 0x0 0x0 0x0 0x2 0x31 0x2 0x39 0x1 0x0 0x0 0x0 0x0 0x4 0xff 0x98 0x81 0x0>;
				lcd-kit,inversion-support = <0x1>;
				lcd-kit,lcd-reset = <0x2 0x2d 0x0>;
				lcd-kit,lcd-vsn = <0x1 0x0 0x5b8d80>;
				lcd-kit,lcd-vsp = <0x1 0x4 0x5b8d80>;
				lcd-kit,lp-off-stage = <0x0 0x0 0x0>;
				lcd-kit,lp-on-stage = <0x0 0x0 0x0>;
				lcd-kit,mipi-clk-post-adjust = <0x0>;
				lcd-kit,mipi-lane-nums = <0x3>;
				lcd-kit,mipi-lp11-flag = <0x0>;
				lcd-kit,mipi-non-continue-enable = <0x1>;
				lcd-kit,panel-bgr-fmt = <0x0>;
				lcd-kit,panel-bias-ic-ctrl-type = <0x0>;
				lcd-kit,panel-bl-ic-ctrl-type = <0x0>;
				lcd-kit,panel-bl-max = <0xff>;
				lcd-kit,panel-bl-max-nit = <0x1c2>;
				lcd-kit,panel-bl-maxnit-command = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xdb>;
				lcd-kit,panel-bl-maxnit-command-state = "dsi_lp_mode";
				lcd-kit,panel-bl-min = <0x2>;
				lcd-kit,panel-bpp = <0x2>;
				lcd-kit,panel-cmd-type = <0x8>;
				lcd-kit,panel-data-rate = <0x29d>;
				lcd-kit,panel-density = <0x140>;
				lcd-kit,panel-dsi-switch-mode = <0x0>;
				lcd-kit,panel-dsi-switch-mode-en = <0x0>;
				lcd-kit,panel-fbk-div = <0x1>;
				lcd-kit,panel-getblmaxnit-type = <0x1>;
				lcd-kit,panel-gpio-offset = <0x0>;
				lcd-kit,panel-height = <0x8c>;
				lcd-kit,panel-lcm-type = <0x2>;
				lcd-kit,panel-ldi-data-padding = <0x0>;
				lcd-kit,panel-ldi-dsi-mode = <0x1>;
				lcd-kit,panel-ldi-packet-size = <0x100>;
				lcd-kit,panel-ldi-ps = <0x2>;
				lcd-kit,panel-ldi-trans-seq = <0x0>;
				lcd-kit,panel-name = "DSBJ_ILI9881C 6P08 VIDEO TFT 720 x 1560";
				lcd-kit,panel-off-cmds = <0x5 0x1 0x0 0x0 0x14 0x1 0x2 0x28 0x0 0x5 0x1 0x0 0x0 0x46 0x1 0x2 0x10 0x0>;
				lcd-kit,panel-on-cmds = <0x39 0x1 0x0 0x0 0x0 0x1 0x4 0xff 0x98 0x81 0x4 0x15 0x1 0x0 0x0 0x0 0x1 0x2 0x4c 0x2 0x15 0x1 0x0 0x0 0x0 0x1 0x2 0x52 0x37 0x15 0x1 0x0 0x0 0x0 0x1 0x2 0x53 0x37 0x15 0x1 0x0 0x0 0x0 0x1 0x2 0x54 0x46 0x15 0x1 0x0 0x0 0x0 0x1 0x2 0x0 0x0 0x39 0x1 0x0 0x0 0x0 0x1 0x4 0xff 0x98 0x81 0x0 0x5 0x1 0x0 0x0 0x3d 0x1 0x2 0x11 0x0 0x5 0x1 0x0 0x0 0x28 0x1 0x2 0x29 0x0>;
				lcd-kit,panel-orientation = <0x1>;
				lcd-kit,panel-pxl-clk = <0x0>;
				lcd-kit,panel-pxl-clk-div = <0x0>;
				lcd-kit,panel-type = <0x1>;
				lcd-kit,panel-vfp-lp = <0x0>;
				lcd-kit,panel-width = <0x41>;
				lcd-kit,panel-xres = <0x2d0>;
				lcd-kit,panel-yres = <0x618>;
				lcd-kit,power-off-stage = <0x6 0x0 0x0 0x7 0x0 0x0 0x8 0x0 0x0 0x5 0x0 0x2 0x4 0x0 0x0 0x3 0x0 0x5>;
				lcd-kit,power-on-stage = <0x5 0x0 0x2 0x7 0x1 0x0 0x3 0x1 0x0 0x4 0x1 0xa 0x5 0x1 0x2 0x5 0x0 0x2 0x5 0x1 0xc 0x6 0x1 0x0 0x8 0x1 0x0>;
				lcd-kit,pt-support = <0x1>;
				lcd-kit,ssc-disable = <0x1>;
				lcd-kit,tp-color-support = <0x1>;
				lcd-kit,v-back-porch = <0x14>;
				lcd-kit,v-front-porch = <0xc>;
				lcd-kit,v-pulse-width = <0x4>;
				linux,phandle = <0x3d>;
				phandle = <0x3d>;
			};
		};
	};

	fragment@14 {
		target = <0xffffffff>;

		__overlay__ {

			lcd_kit_mex_hx_hx8394f_6p08_720p_video {
				compatible = "hx-hx8394f-6p08-720p-video";
				lcd-kit,check-reg-cmds = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xa>;
				lcd-kit,check-reg-support = <0x1>;
				lcd-kit,check-reg-value = <0x1c>;
				lcd-kit,esd-reg-cmds = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xa>;
				lcd-kit,esd-support = <0x1>;
				lcd-kit,esd-value = <0x1c>;
				lcd-kit,h-back-porch = <0x28>;
				lcd-kit,h-front-porch = <0x3c>;
				lcd-kit,h-pulse-width = <0x8>;
				lcd-kit,hs-off-stage = <0x0 0x0 0x0>;
				lcd-kit,hs-on-stage = <0x0 0x0 0x0>;
				lcd-kit,inversion-column-cmds = <0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xb2 0x0>;
				lcd-kit,inversion-dot-cmds = <0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xb2 0x2>;
				lcd-kit,inversion-support = <0x1>;
				lcd-kit,lcd-reset = <0x2 0x2d 0x0>;
				lcd-kit,lcd-vsn = <0x1 0x0 0x588040>;
				lcd-kit,lcd-vsp = <0x1 0x4 0x588040>;
				lcd-kit,lp-off-stage = <0x0 0x0 0x0>;
				lcd-kit,lp-on-stage = <0x0 0x0 0x0>;
				lcd-kit,mipi-clk-post-adjust = <0x0>;
				lcd-kit,mipi-lane-nums = <0x3>;
				lcd-kit,mipi-lp11-flag = <0x0>;
				lcd-kit,mipi-non-continue-enable = <0x0>;
				lcd-kit,panel-bgr-fmt = <0x0>;
				lcd-kit,panel-bias-ic-ctrl-type = <0x0>;
				lcd-kit,panel-bl-ic-ctrl-type = <0x0>;
				lcd-kit,panel-bl-max = <0xff>;
				lcd-kit,panel-bl-max-nit = <0x1e5>;
				lcd-kit,panel-bl-maxnit-command = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xdb>;
				lcd-kit,panel-bl-maxnit-command-state = "dsi_lp_mode";
				lcd-kit,panel-bl-min = <0x2>;
				lcd-kit,panel-bpp = <0x2>;
				lcd-kit,panel-cmd-type = <0x8>;
				lcd-kit,panel-data-rate = <0x29d>;
				lcd-kit,panel-density = <0x140>;
				lcd-kit,panel-dsi-switch-mode = <0x0>;
				lcd-kit,panel-dsi-switch-mode-en = <0x0>;
				lcd-kit,panel-fbk-div = <0x1>;
				lcd-kit,panel-getblmaxnit-type = <0x1>;
				lcd-kit,panel-gpio-offset = <0x0>;
				lcd-kit,panel-height = <0x8c>;
				lcd-kit,panel-lcm-type = <0x2>;
				lcd-kit,panel-ldi-data-padding = <0x0>;
				lcd-kit,panel-ldi-dsi-mode = <0x1>;
				lcd-kit,panel-ldi-packet-size = <0x100>;
				lcd-kit,panel-ldi-ps = <0x2>;
				lcd-kit,panel-ldi-trans-seq = <0x0>;
				lcd-kit,panel-name = "HX_HX8394F 6P08 VIDEO TFT 720 x 1560";
				lcd-kit,panel-off-cmds = <0x5 0x1 0x0 0x0 0x14 0x1 0x2 0x28 0x0 0x5 0x1 0x0 0x0 0x40 0x1 0x2 0x10 0x0>;
				lcd-kit,panel-on-cmds = <0x5 0x1 0x0 0x0 0x1 0x1 0x2 0x11 0x0 0x5 0x1 0x0 0x0 0x78 0x1 0x2 0x29 0x0 0x39 0x1 0x0 0x0 0x0 0x1 0x4 0xb9 0xff 0x83 0x94 0x39 0x1 0x0 0x0 0x0 0x1 0x2 0xba 0x62 0x39 0x1 0x0 0x0 0x0 0x1 0x2 0xc6 0xe5 0x39 0x1 0x0 0x0 0x0 0x1 0x17 0xb4 0x61 0x64 0x67 0x5d 0x6 0x5a 0x8 0x8 0x64 0x35 0x0 0x3f 0x61 0x64 0x67 0x5d 0x6 0x5a 0x1 0x8 0x64 0x3f 0x39 0x1 0x0 0x0 0x0 0x1 0x22 0xd3 0x0 0x0 0x5 0x5 0x0 0x0 0x8 0x8 0x32 0x10 0x9 0x0 0x9 0x32 0x13 0xc1 0x0 0x1 0x32 0x10 0x8 0x0 0x0 0x17 0x3 0x9 0x9 0x17 0xd 0xd 0x37 0xc 0x40 0x39 0x1 0x0 0x0 0x0 0x1 0x3 0xc7 0x0 0xc0 0x39 0x1 0x0 0x0 0x0 0x1 0x2 0xcb 0x1b>;
				lcd-kit,panel-orientation = <0x1>;
				lcd-kit,panel-pxl-clk = <0x0>;
				lcd-kit,panel-pxl-clk-div = <0x0>;
				lcd-kit,panel-type = <0x1>;
				lcd-kit,panel-vfp-lp = <0x0>;
				lcd-kit,panel-width = <0x41>;
				lcd-kit,panel-xres = <0x2d0>;
				lcd-kit,panel-yres = <0x618>;
				lcd-kit,power-off-stage = <0x6 0x0 0x0 0x7 0x0 0x0 0x8 0x0 0x0 0x5 0x0 0x5 0x4 0x0 0x0 0x3 0x0 0x6>;
				lcd-kit,power-on-stage = <0x5 0x0 0x2 0x7 0x1 0x0 0x3 0x1 0x0 0x4 0x1 0x8 0x5 0x1 0x2 0x5 0x0 0x2 0x5 0x1 0x14 0x6 0x1 0x0 0x8 0x1 0x0>;
				lcd-kit,pt-support = <0x1>;
				lcd-kit,ssc-disable = <0x1>;
				lcd-kit,tp-color-support = <0x1>;
				lcd-kit,v-back-porch = <0x14>;
				lcd-kit,v-front-porch = <0xc>;
				lcd-kit,v-pulse-width = <0x4>;
				linux,phandle = <0x3e>;
				phandle = <0x3e>;
			};
		};
	};

	fragment@15 {
		target = <0xffffffff>;

		__overlay__ {

			lcd_kit_mex_ofilm_hx8394f_6p08_720p_video {
				compatible = "ofilm-hx8394f-6p08-720p-video";
				lcd-kit,check-reg-cmds = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xa>;
				lcd-kit,check-reg-support = <0x1>;
				lcd-kit,check-reg-value = <0x1c>;
				lcd-kit,esd-reg-cmds = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xa>;
				lcd-kit,esd-support = <0x1>;
				lcd-kit,esd-value = <0x1c>;
				lcd-kit,h-back-porch = <0x28>;
				lcd-kit,h-front-porch = <0x3c>;
				lcd-kit,h-pulse-width = <0x8>;
				lcd-kit,hs-off-stage = <0x0 0x0 0x0>;
				lcd-kit,hs-on-stage = <0x0 0x0 0x0>;
				lcd-kit,inversion-column-cmds = <0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xb2 0x0>;
				lcd-kit,inversion-dot-cmds = <0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xb2 0x2>;
				lcd-kit,inversion-support = <0x1>;
				lcd-kit,lcd-reset = <0x2 0x2d 0x0>;
				lcd-kit,lcd-vsn = <0x1 0x0 0x5b8d80>;
				lcd-kit,lcd-vsp = <0x1 0x4 0x5b8d80>;
				lcd-kit,lp-off-stage = <0x0 0x0 0x0>;
				lcd-kit,lp-on-stage = <0x0 0x0 0x0>;
				lcd-kit,mipi-clk-post-adjust = <0x0>;
				lcd-kit,mipi-lane-nums = <0x3>;
				lcd-kit,mipi-lp11-flag = <0x0>;
				lcd-kit,mipi-non-continue-enable = <0x0>;
				lcd-kit,panel-bgr-fmt = <0x0>;
				lcd-kit,panel-bias-ic-ctrl-type = <0x0>;
				lcd-kit,panel-bl-ic-ctrl-type = <0x0>;
				lcd-kit,panel-bl-max = <0xff>;
				lcd-kit,panel-bl-max-nit = <0x1d1>;
				lcd-kit,panel-bl-maxnit-command = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xdb>;
				lcd-kit,panel-bl-maxnit-command-state = "dsi_lp_mode";
				lcd-kit,panel-bl-min = <0x2>;
				lcd-kit,panel-bpp = <0x2>;
				lcd-kit,panel-cmd-type = <0x8>;
				lcd-kit,panel-data-rate = <0x29d>;
				lcd-kit,panel-density = <0x140>;
				lcd-kit,panel-dsi-switch-mode = <0x0>;
				lcd-kit,panel-dsi-switch-mode-en = <0x0>;
				lcd-kit,panel-fbk-div = <0x1>;
				lcd-kit,panel-getblmaxnit-type = <0x1>;
				lcd-kit,panel-gpio-offset = <0x0>;
				lcd-kit,panel-height = <0x8c>;
				lcd-kit,panel-lcm-type = <0x2>;
				lcd-kit,panel-ldi-data-padding = <0x0>;
				lcd-kit,panel-ldi-dsi-mode = <0x1>;
				lcd-kit,panel-ldi-packet-size = <0x100>;
				lcd-kit,panel-ldi-ps = <0x2>;
				lcd-kit,panel-ldi-trans-seq = <0x0>;
				lcd-kit,panel-name = "OFILM_HX8394F 6P08 VIDEO TFT 720 x 1560";
				lcd-kit,panel-off-cmds = <0x5 0x1 0x0 0x0 0x14 0x1 0x2 0x28 0x0 0x5 0x1 0x0 0x0 0x40 0x1 0x2 0x10 0x0>;
				lcd-kit,panel-on-cmds = <0x5 0x1 0x0 0x0 0x1 0x1 0x2 0x11 0x0 0x5 0x1 0x0 0x0 0x78 0x1 0x2 0x29 0x0 0x39 0x1 0x0 0x0 0x0 0x1 0x4 0xb9 0xff 0x83 0x94 0x39 0x1 0x0 0x0 0x0 0x1 0x2 0xba 0x62 0x39 0x1 0x0 0x0 0x0 0x1 0x2 0xc6 0xe5 0x39 0x1 0x0 0x0 0x0 0x1 0xb 0xb1 0x48 0x17 0x77 0x9 0x33 0xa4 0x71 0x71 0x2c 0x57 0x39 0x1 0x0 0x0 0x0 0x1 0x17 0xb4 0x10 0x59 0x19 0x59 0x10 0x59 0xc 0xc 0x65 0x35 0x0 0x3f 0x10 0x59 0x10 0x59 0x10 0x59 0x1 0xc 0x65 0x3f 0x39 0x1 0x0 0x0 0x0 0x1 0x3 0xc7 0x0 0xc0>;
				lcd-kit,panel-orientation = <0x1>;
				lcd-kit,panel-pxl-clk = <0x0>;
				lcd-kit,panel-pxl-clk-div = <0x0>;
				lcd-kit,panel-type = <0x1>;
				lcd-kit,panel-vfp-lp = <0x0>;
				lcd-kit,panel-width = <0x41>;
				lcd-kit,panel-xres = <0x2d0>;
				lcd-kit,panel-yres = <0x618>;
				lcd-kit,power-off-stage = <0x6 0x0 0x0 0x7 0x0 0x0 0x8 0x0 0x0 0x5 0x0 0x5 0x4 0x0 0x0 0x3 0x0 0x6>;
				lcd-kit,power-on-stage = <0x5 0x0 0x2 0x7 0x1 0x0 0x3 0x1 0x0 0x4 0x1 0x8 0x5 0x1 0x2 0x5 0x0 0x2 0x5 0x1 0x14 0x6 0x1 0x0 0x8 0x1 0x0>;
				lcd-kit,pt-support = <0x1>;
				lcd-kit,ssc-disable = <0x1>;
				lcd-kit,tp-color-support = <0x1>;
				lcd-kit,v-back-porch = <0x14>;
				lcd-kit,v-front-porch = <0xc>;
				lcd-kit,v-pulse-width = <0x4>;
				linux,phandle = <0x3f>;
				phandle = <0x3f>;
			};
		};
	};

	fragment@16 {
		target = <0xffffffff>;

		__overlay__ {

			lcd_kit_mex_ofilmi_inx_hx8394f_6p08_720p_video {
				compatible = "ofilmi-inx-hx8394f-6p08-720p-video";
				lcd-kit,check-reg-cmds = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xa>;
				lcd-kit,check-reg-support = <0x1>;
				lcd-kit,check-reg-value = <0x1c>;
				lcd-kit,esd-reg-cmds = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xa>;
				lcd-kit,esd-support = <0x1>;
				lcd-kit,esd-value = <0x1c>;
				lcd-kit,h-back-porch = <0x28>;
				lcd-kit,h-front-porch = <0x3c>;
				lcd-kit,h-pulse-width = <0x8>;
				lcd-kit,hs-off-stage = <0x0 0x0 0x0>;
				lcd-kit,hs-on-stage = <0x0 0x0 0x0>;
				lcd-kit,inversion-column-cmds = <0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xb2 0x0>;
				lcd-kit,inversion-dot-cmds = <0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xb2 0x2>;
				lcd-kit,inversion-support = <0x1>;
				lcd-kit,lcd-reset = <0x2 0x2d 0x0>;
				lcd-kit,lcd-vsn = <0x1 0x0 0x588040>;
				lcd-kit,lcd-vsp = <0x1 0x4 0x588040>;
				lcd-kit,lp-off-stage = <0x0 0x0 0x0>;
				lcd-kit,lp-on-stage = <0x0 0x0 0x0>;
				lcd-kit,mipi-clk-post-adjust = <0x0>;
				lcd-kit,mipi-lane-nums = <0x3>;
				lcd-kit,mipi-lp11-flag = <0x0>;
				lcd-kit,mipi-non-continue-enable = <0x0>;
				lcd-kit,panel-bgr-fmt = <0x0>;
				lcd-kit,panel-bias-ic-ctrl-type = <0x0>;
				lcd-kit,panel-bl-ic-ctrl-type = <0x0>;
				lcd-kit,panel-bl-max = <0xff>;
				lcd-kit,panel-bl-max-nit = <0x1d1>;
				lcd-kit,panel-bl-maxnit-command = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xdb>;
				lcd-kit,panel-bl-maxnit-command-state = "dsi_lp_mode";
				lcd-kit,panel-bl-min = <0x2>;
				lcd-kit,panel-bpp = <0x2>;
				lcd-kit,panel-cmd-type = <0x8>;
				lcd-kit,panel-data-rate = <0x29d>;
				lcd-kit,panel-density = <0x140>;
				lcd-kit,panel-dsi-switch-mode = <0x0>;
				lcd-kit,panel-dsi-switch-mode-en = <0x0>;
				lcd-kit,panel-fbk-div = <0x1>;
				lcd-kit,panel-getblmaxnit-type = <0x1>;
				lcd-kit,panel-gpio-offset = <0x0>;
				lcd-kit,panel-height = <0x8c>;
				lcd-kit,panel-lcm-type = <0x2>;
				lcd-kit,panel-ldi-data-padding = <0x0>;
				lcd-kit,panel-ldi-dsi-mode = <0x1>;
				lcd-kit,panel-ldi-packet-size = <0x100>;
				lcd-kit,panel-ldi-ps = <0x2>;
				lcd-kit,panel-ldi-trans-seq = <0x0>;
				lcd-kit,panel-name = "OFILMI_INX_HX8394F 6P08 VIDEO TFT 720 x 1560";
				lcd-kit,panel-off-cmds = <0x5 0x1 0x0 0x0 0x14 0x1 0x2 0x28 0x0 0x5 0x1 0x0 0x0 0x40 0x1 0x2 0x10 0x0>;
				lcd-kit,panel-on-cmds = <0x5 0x1 0x0 0x0 0x1 0x1 0x2 0x11 0x0 0x5 0x1 0x0 0x0 0x78 0x1 0x2 0x29 0x0>;
				lcd-kit,panel-orientation = <0x1>;
				lcd-kit,panel-pxl-clk = <0x0>;
				lcd-kit,panel-pxl-clk-div = <0x0>;
				lcd-kit,panel-type = <0x1>;
				lcd-kit,panel-vfp-lp = <0x0>;
				lcd-kit,panel-width = <0x41>;
				lcd-kit,panel-xres = <0x2d0>;
				lcd-kit,panel-yres = <0x618>;
				lcd-kit,power-off-stage = <0x6 0x0 0x0 0x7 0x0 0x0 0x8 0x0 0x0 0x5 0x0 0x5 0x4 0x0 0x0 0x3 0x0 0x6>;
				lcd-kit,power-on-stage = <0x5 0x0 0x2 0x7 0x1 0x0 0x3 0x1 0x0 0x4 0x1 0x8 0x5 0x1 0x2 0x5 0x0 0x2 0x5 0x1 0x14 0x6 0x1 0x0 0x8 0x1 0x0>;
				lcd-kit,pt-support = <0x1>;
				lcd-kit,ssc-disable = <0x1>;
				lcd-kit,tp-color-support = <0x1>;
				lcd-kit,v-back-porch = <0x14>;
				lcd-kit,v-front-porch = <0xc>;
				lcd-kit,v-pulse-width = <0x4>;
				linux,phandle = <0x40>;
				phandle = <0x40>;
			};
		};
	};

	fragment@17 {
		target = <0xffffffff>;

		__overlay__ {

			lcd_kit_mex_txd_hx8394f_6p08_720p_video {
				compatible = "txd-hx8394f-6p08-720p-video";
				lcd-kit,check-reg-cmds = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xa>;
				lcd-kit,check-reg-support = <0x1>;
				lcd-kit,check-reg-value = <0x1c>;
				lcd-kit,esd-reg-cmds = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xa>;
				lcd-kit,esd-support = <0x1>;
				lcd-kit,esd-value = <0x1c>;
				lcd-kit,h-back-porch = <0x28>;
				lcd-kit,h-front-porch = <0x3c>;
				lcd-kit,h-pulse-width = <0x8>;
				lcd-kit,hs-off-stage = <0x0 0x0 0x0>;
				lcd-kit,hs-on-stage = <0x0 0x0 0x0>;
				lcd-kit,inversion-column-cmds = <0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xb2 0x0>;
				lcd-kit,inversion-dot-cmds = <0x29 0x1 0x0 0x0 0xa 0x0 0x2 0xb2 0x2>;
				lcd-kit,inversion-support = <0x1>;
				lcd-kit,lcd-reset = <0x2 0x2d 0x0>;
				lcd-kit,lcd-vsn = <0x1 0x0 0x588040>;
				lcd-kit,lcd-vsp = <0x1 0x4 0x588040>;
				lcd-kit,lp-off-stage = <0x0 0x0 0x0>;
				lcd-kit,lp-on-stage = <0x0 0x0 0x0>;
				lcd-kit,mipi-clk-post-adjust = <0x0>;
				lcd-kit,mipi-lane-nums = <0x3>;
				lcd-kit,mipi-lp11-flag = <0x0>;
				lcd-kit,mipi-non-continue-enable = <0x0>;
				lcd-kit,panel-bgr-fmt = <0x0>;
				lcd-kit,panel-bias-ic-ctrl-type = <0x0>;
				lcd-kit,panel-bl-ic-ctrl-type = <0x0>;
				lcd-kit,panel-bl-max = <0xff>;
				lcd-kit,panel-bl-max-nit = <0x1c2>;
				lcd-kit,panel-bl-maxnit-command = <0x6 0x1 0x0 0x0 0xa 0x0 0x1 0xdb>;
				lcd-kit,panel-bl-maxnit-command-state = "dsi_lp_mode";
				lcd-kit,panel-bl-min = <0x2>;
				lcd-kit,panel-bpp = <0x2>;
				lcd-kit,panel-cmd-type = <0x8>;
				lcd-kit,panel-data-rate = <0x29d>;
				lcd-kit,panel-density = <0x140>;
				lcd-kit,panel-dsi-switch-mode = <0x0>;
				lcd-kit,panel-dsi-switch-mode-en = <0x0>;
				lcd-kit,panel-fbk-div = <0x1>;
				lcd-kit,panel-getblmaxnit-type = <0x1>;
				lcd-kit,panel-gpio-offset = <0x0>;
				lcd-kit,panel-height = <0x8c>;
				lcd-kit,panel-lcm-type = <0x2>;
				lcd-kit,panel-ldi-data-padding = <0x0>;
				lcd-kit,panel-ldi-dsi-mode = <0x1>;
				lcd-kit,panel-ldi-packet-size = <0x100>;
				lcd-kit,panel-ldi-ps = <0x2>;
				lcd-kit,panel-ldi-trans-seq = <0x0>;
				lcd-kit,panel-name = "TXD_HX8394F 6P08 VIDEO TFT 720 x 1560";
				lcd-kit,panel-off-cmds = <0x5 0x1 0x0 0x0 0x14 0x1 0x2 0x28 0x0 0x5 0x1 0x0 0x0 0x40 0x1 0x2 0x10 0x0>;
				lcd-kit,panel-on-cmds = <0x5 0x1 0x0 0x0 0x1 0x1 0x2 0x11 0x0 0x5 0x1 0x0 0x0 0x78 0x1 0x2 0x29 0x0 0x39 0x1 0x0 0x0 0x0 0x1 0x4 0xb9 0xff 0x83 0x94 0x39 0x1 0x0 0x0 0x0 0x1 0x2 0xba 0x62 0x39 0x1 0x0 0x0 0x0 0x1 0x2 0xc6 0xe5 0x39 0x1 0x0 0x0 0x0 0x1 0x16 0xb4 0x17 0x60 0x17 0x60 0x17 0x60 0xc 0xc 0x70 0x55 0x0 0x3f 0x1 0x6b 0x1 0x6b 0x1 0x6b 0x1 0xc 0x7c 0x39 0x1 0x0 0x0 0x0 0x1 0x3 0xc7 0x0 0xc0 0x39 0x1 0x0 0x0 0x0 0x1 0x5 0xd3 0x0 0x0 0x4 0x4>;
				lcd-kit,panel-orientation = <0x1>;
				lcd-kit,panel-pxl-clk = <0x0>;
				lcd-kit,panel-pxl-clk-div = <0x0>;
				lcd-kit,panel-type = <0x1>;
				lcd-kit,panel-vfp-lp = <0x0>;
				lcd-kit,panel-width = <0x41>;
				lcd-kit,panel-xres = <0x2d0>;
				lcd-kit,panel-yres = <0x618>;
				lcd-kit,power-off-stage = <0x6 0x0 0x0 0x7 0x0 0x0 0x8 0x0 0x0 0x5 0x0 0x5 0x4 0x0 0x0 0x3 0x0 0x6>;
				lcd-kit,power-on-stage = <0x5 0x0 0x2 0x7 0x1 0x0 0x3 0x1 0x0 0x4 0x1 0x8 0x5 0x1 0x2 0x5 0x0 0x2 0x5 0x1 0x14 0x6 0x1 0x0 0x8 0x1 0x0>;
				lcd-kit,pt-support = <0x1>;
				lcd-kit,ssc-disable = <0x1>;
				lcd-kit,tp-color-support = <0x1>;
				lcd-kit,v-back-porch = <0x14>;
				lcd-kit,v-front-porch = <0xc>;
				lcd-kit,v-pulse-width = <0x4>;
				linux,phandle = <0x41>;
				phandle = <0x41>;
			};
		};
	};

	fragment@18 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "huawei,lcd_panel_type";
			detect_type = <0x2>;
			gpio_id = <0xa9 0xb2>;
			iovcc_ctrl_mode = <0x1>;
			product_id = <0x3e8>;
			support_lcd_type = "LCD_KIT";
		};
	};

	fragment@19 {
		target = <0xffffffff>;

		__overlay__ {

			lcm_rst_out0_gpio {
				linux,phandle = <0x15>;
				phandle = <0x15>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x2d00>;
					slew-rate = <0x1>;
				};
			};

			lcm_rst_out1_gpio {
				linux,phandle = <0x16>;
				phandle = <0x16>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x2d00>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@2 {
		target = <0xffffffff>;

		__overlay__ {

			ant_pins_all_default {
				linux,phandle = <0x1>;
				phandle = <0x1>;
			};

			ant_pins_id0_bias_down {
				linux,phandle = <0x4>;
				phandle = <0x4>;

				pins_cmd_dat {
					bias-pull-down = <0x67>;
					pinmux = <0xb000>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id0_bias_up {
				linux,phandle = <0x3>;
				phandle = <0x3>;

				pins_cmd_dat {
					bias-pull-up = <0x67>;
					pinmux = <0xb000>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id0_default {
				linux,phandle = <0x2>;
				phandle = <0x2>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0xb000>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id1_bias_down {
				linux,phandle = <0x7>;
				phandle = <0x7>;

				pins_cmd_dat {
					bias-pull-down = <0x67>;
					pinmux = <0xaf00>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id1_bias_up {
				linux,phandle = <0x6>;
				phandle = <0x6>;

				pins_cmd_dat {
					bias-pull-up = <0x67>;
					pinmux = <0xaf00>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id1_default {
				linux,phandle = <0x5>;
				phandle = <0x5>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0xaf00>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id2_bias_down {
				linux,phandle = <0xa>;
				phandle = <0xa>;

				pins_cmd_dat {
					bias-pull-down = <0x67>;
					pinmux = <0xac00>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id2_bias_up {
				linux,phandle = <0x9>;
				phandle = <0x9>;

				pins_cmd_dat {
					bias-pull-up = <0x67>;
					pinmux = <0xac00>;
					slew-rate = <0x0>;
				};
			};

			ant_pins_id2_default {
				linux,phandle = <0x8>;
				phandle = <0x8>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0xac00>;
					slew-rate = <0x0>;
				};
			};
		};
	};

	fragment@20 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x15>;
			pinctrl-1 = <0x16>;
			pinctrl-names = "lcm_rst_out0_gpio", "lcm_rst_out1_gpio";
			status = "okay";
		};
	};

	fragment@21 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "huawei,huawei_scp_info";
			product_number = <0x1>;
			status = "okay";
		};
	};

	fragment@22 {
		target = <0xffffffff>;

		__overlay__ {
			bias = <0x0>;
			compatible = "hisi,shell-temp";
			count = <0x4>;
			interval = <0x1388>;
			ntc_para = "2000", "80000", "-20000";
			status = "ok";
			tsensor_para = "10000", "100000", "0";

			sensors {

				sensor0 {
					coef = "21997", "8701", "6953", "12783";
					type = "msm_therm";
				};

				sensor1 {
					coef = "16148", "10539", "4303", "-851";
					type = "pa_therm0";
				};

				sensor2 {
					coef = "24775000", "1248000", "1461000", "1729000";
					type = "battery";
				};

				sensor3 {
					coef = "1408", "-2229", "-4169", "-9017";
					type = "CHG_IC_THERM";
				};
			};
		};
	};

	fragment@23 {
		target = <0xffffffff>;

		__overlay__ {
			bias = <0x0>;
			compatible = "hisi,shell-temp";
			count = <0x4>;
			interval = <0x1388>;
			ntc_para = "2000", "80000", "-20000";
			status = "ok";
			tsensor_para = "10000", "100000", "0";

			sensors {

				sensor0 {
					coef = "5547", "2546", "4948", "15466";
					type = "msm_therm";
				};

				sensor1 {
					coef = "13614", "12650", "13138", "14721";
					type = "pa_therm0";
				};

				sensor2 {
					coef = "17879000", "1255000", "788000", "16996000";
					type = "battery";
				};

				sensor3 {
					coef = "-5064", "-5064", "-4662", "-7519";
					type = "CHG_IC_THERM";
				};
			};
		};
	};

	fragment@24 {
		target = <0xffffffff>;

		__overlay__ {
			bias = <0x0>;
			compatible = "hisi,shell-temp";
			count = <0x4>;
			interval = <0xbb8>;
			ntc_para = "2000", "80000", "-20000";
			status = "ok";
			tsensor_para = "10000", "100000", "0";

			sensors {

				sensor0 {
					coef = "22222", "7655", "6360", "12662";
					type = "msm_therm";
				};

				sensor1 {
					coef = "22677", "16422", "10951", "6860";
					type = "pa_therm0";
				};

				sensor2 {
					coef = "16218000", "-125000", "538000", "-2703000";
					type = "battery";
				};

				sensor3 {
					coef = "-739", "-4050", "-6431", "-12486";
					type = "CHG_IC_THERM";
				};
			};
		};
	};

	fragment@25 {
		target = <0xffffffff>;

		__overlay__ {
			accdet-mic-mode = <0x1>;
			accdet-mic-vol = <0x6>;
			accdet-plugout-debounce = <0x1>;
			headset-eint-level-pol = <0x8>;
			headset-four-key-threshold = <0x0 0x3a 0x79 0xc0 0x190>;
			headset-mode-setting = <0x500 0x500 0x1 0x1f0 0x800 0x800 0x20 0x44>;
			headset-three-key-threshold = <0x0 0x50 0xdc 0x190>;
			headset-three-key-threshold-CDD = <0x0 0x79 0xc0 0x258>;
			pinctrl-0 = <0x17>;
			pinctrl-1 = <0x18>;
			pinctrl-names = "default", "state_eint_as_int";
			status = "okay";
		};
	};

	fragment@26 {
		target = <0xffffffff>;

		__overlay__ {

			accdetdefault {
				linux,phandle = <0x17>;
				phandle = <0x17>;
			};

			accdeteint@0 {
				linux,phandle = <0x18>;
				phandle = <0x18>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x900>;
					slew-rate = <0x0>;
				};
			};
		};
	};

	fragment@27 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x19>;
			pinctrl-1 = <0x1a>;
			pinctrl-2 = <0x1b>;
			pinctrl-3 = <0x1c>;
			pinctrl-4 = <0x1d>;
			pinctrl-5 = <0x1e>;
			pinctrl-6 = <0x1f>;
			pinctrl-7 = <0x20>;
			pinctrl-names = "aud_clk_mosi_off", "aud_clk_mosi_on", "aud_clk_miso_off", "aud_clk_miso_on", "aud_dat_mosi_off", "aud_dat_mosi_on", "aud_dat_miso_off", "aud_dat_miso_on";
			status = "okay";
		};
	};

	fragment@28 {
		target = <0xffffffff>;

		__overlay__ {

			aud_clk_miso_off {
				linux,phandle = <0x1b>;
				phandle = <0x1b>;

				pins_cmd0_dat {
					pinmux = <0x8c00>;
				};
			};

			aud_clk_miso_on {
				linux,phandle = <0x1c>;
				phandle = <0x1c>;

				pins_cmd0_dat {
					pinmux = <0x8c01>;
				};
			};

			aud_clk_mosi_off {
				linux,phandle = <0x19>;
				phandle = <0x19>;

				pins_cmd0_dat {
					pinmux = <0x8800>;
				};
			};

			aud_clk_mosi_on {
				linux,phandle = <0x1a>;
				phandle = <0x1a>;

				pins_cmd0_dat {
					pinmux = <0x8801>;
				};
			};

			aud_dat_miso_off {
				linux,phandle = <0x1f>;
				phandle = <0x1f>;

				pins_cmd1_dat {
					bias-disable;
					input-enable;
					pinmux = <0x8e00>;
					slew-rate = <0x0>;
				};

				pins_cmd2_dat {
					bias-disable;
					input-enable;
					pinmux = <0x8f00>;
					slew-rate = <0x0>;
				};
			};

			aud_dat_miso_on {
				linux,phandle = <0x20>;
				phandle = <0x20>;

				pins_cmd1_dat {
					pinmux = <0x8e01>;
				};

				pins_cmd2_dat {
					pinmux = <0x8f01>;
				};
			};

			aud_dat_mosi_off {
				linux,phandle = <0x1d>;
				phandle = <0x1d>;

				pins_cmd1_dat {
					bias-disable;
					input-enable;
					pinmux = <0x8a00>;
					slew-rate = <0x0>;
				};

				pins_cmd2_dat {
					bias-disable;
					input-enable;
					pinmux = <0x8b00>;
					slew-rate = <0x0>;
				};
			};

			aud_dat_mosi_on {
				linux,phandle = <0x1e>;
				phandle = <0x1e>;

				pins_cmd1_dat {
					pinmux = <0x8a01>;
				};

				pins_cmd2_dat {
					pinmux = <0x8b01>;
				};
			};

			aud_deviceid_box_off {
				linux,phandle = <0x22>;
				phandle = <0x22>;

				pins_cmd1_dat {
					bias-disable;
					input-enable;
					pinmux = <0xb100>;
					slew-rate = <0x0>;
				};
			};

			aud_deviceid_box_on {
				linux,phandle = <0x21>;
				phandle = <0x21>;

				pins_cmd1_dat {
					bias-pull-up;
					input-enable;
					pinmux = <0xb100>;
					slew-rate = <0x0>;
				};
			};
		};
	};

	fragment@29 {
		target = <0xffffffff>;

		__overlay__ {
			box_num = <0x1>;
			check_mode = "gpio";
			deviceboxID_limit = <0x1f4>;
			enable_boxID = <0x1 0x0 0x0 0x0>;
			gpio_num = <0x1 0x0 0x0 0x0>;
			gpio_speakerID = <0xffffffff 0xb1 0x0>;
			pinctrl-0 = <0x21>;
			pinctrl-1 = <0x22>;
			pinctrl-names = "default", "idle";
			speaker_map = <0x1 0x2>;
			status = "okay";
		};
	};

	fragment@3 {
		target = <0xffffffff>;

		__overlay__ {

			led@0 {
				compatible = "mediatek,red";
				data = <0x1>;
				led_mode = <0x0>;
				linux,phandle = <0x32>;
				max_brightness = <0x2>;
				phandle = <0x32>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@1 {
				compatible = "mediatek,green";
				data = <0x1>;
				led_mode = <0x0>;
				linux,phandle = <0x33>;
				max_brightness = <0x2>;
				phandle = <0x33>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@2 {
				compatible = "mediatek,blue";
				data = <0x1>;
				led_mode = <0x0>;
				linux,phandle = <0x34>;
				max_brightness = <0x2>;
				phandle = <0x34>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@3 {
				compatible = "mediatek,jogball-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				linux,phandle = <0x35>;
				phandle = <0x35>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@4 {
				compatible = "mediatek,keyboard-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				linux,phandle = <0x36>;
				phandle = <0x36>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@5 {
				compatible = "mediatek,button-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				linux,phandle = <0x37>;
				phandle = <0x37>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@6 {
				compatible = "mediatek,lcd-backlight";
				data = <0x1>;
				led_mode = <0x5>;
				linux,phandle = <0x38>;
				phandle = <0x38>;
				pwm_config = <0x0 0x3 0x0 0x0 0x0>;
			};

			vibrator@0 {
				compatible = "mediatek,vibrator";
				linux,phandle = <0x39>;
				phandle = <0x39>;
				vib_limit = <0x9>;
				vib_timer = <0x19>;
				vib_vol = <0xb>;
			};
		};
	};

	fragment@30 {
		target = <0xffffffff>;

		__overlay__ {
			audio_param_ce_path = "odm/etc/audio/audio_param_ce";
			audio_param_path = "odm/etc/audio/audio_param";
		};
	};

	fragment@31 {
		target = <0xffffffff>;

		__overlay__ {

			cs35l41@0 {
				cirrus,boost-cap-microfarad = <0xf>;
				cirrus,boost-ind-nanohenry = <0x3e8>;
				cirrus,boost-peak-milliamp = <0x1194>;
				cirrus,pll-refclk-freq = <0x21>;
				cirrus,pll-refclk-sel = <0x0>;
				compatible = "cirrus,cs35l41";
				irq-gpios = <0xffffffff 0x7 0x0>;
				linux,phandle = <0x42>;
				phandle = <0x42>;
				reg = <0x0>;
				reset-gpios = <0xffffffff 0xad 0x0>;
				spi-max-frequency = <0x4c4b40>;
				status = "okay";

				cirrus,asp-config {
					cirrus,asp-fmt = <0x2>;
					cirrus,asp-rx-width = <0x20>;
					cirrus,asp-rx-wl = <0x10>;
					cirrus,asp-srate = <0x3>;
				};

				cirrus,gpio-config2 {
					cirrus,gpio-output-enable;
					cirrus,gpio-src-select = <0x5>;
				};
			};
		};
	};

	fragment@32 {
		target = <0xffffffff>;

		__overlay__ {

			tas2557@4c {
				#sound-dai-cells = <0x1>;
				compatible = "ti,tas2557";
				reg = <0x4c>;
				status = "okay";
				ti,bypass-tmax = <0x1>;
				ti,cdc-reset-gpio = <0xffffffff 0xad 0x0>;
				ti,i2s-bits = <0x20>;
				ti,irq-gpio = <0xffffffff 0x7 0x0>;
			};
		};
	};

	fragment@33 {
		target = <0xffffffff>;

		__overlay__ {

			smartpa@35 {
				compatible = "nxp,tfa9894";
				irq-gpio = <0xffffffff 0x7 0x0>;
				linux,phandle = <0x43>;
				phandle = <0x43>;
				reg = <0x35>;
				reset-gpio = <0xffffffff 0xad 0x0>;
				status = "ok";
			};
		};
	};

	fragment@34 {
		target = <0xffffffff>;

		__overlay__ {
			hardware_version = "HL1JATM";
			mtk,board_name = "JAT_TL00_VC";
			mtk,boardid = <0x4 0x0 0x0 0x4>;
			mtk,product_name = "JAT-TL00";
		};
	};

	fragment@35 {
		target = <0xffffffff>;

		__overlay__ {
			expect_value = <0x7e1>;
		};
	};

	fragment@36 {
		target = <0xffffffff>;

		__overlay__ {

			adc_channel@ {
				compatible = "mediatek,adc_channel";
				mediatek,adc_fdd_rf_params_dynamic_custom_ch = <0x2>;
				mediatek,temperature0 = <0x0>;
				mediatek,temperature1 = <0x1>;
				status = "okay";
			};
		};
	};

	fragment@37 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,clkbuf-config = <0x2 0x1 0x1 0x2 0x0 0x0 0x0>;
			mediatek,clkbuf-driving-current = <0x1 0x1 0x1 0x1 0x1 0x1 0x1>;
			mediatek,clkbuf-quantity = <0x7>;
			status = "okay";
		};
	};

	fragment@38 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			cap_touch@5d {
				compatible = "mediatek,cap_touch";
				linux,phandle = <0x44>;
				phandle = <0x44>;
				reg = <0x5d>;
				status = "okay";
			};
		};
	};

	fragment@39 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@4 {
		target = <0xffffffff>;

		__overlay__ {

			bled {
				mt,max_bled_brightness = <0x555>;
			};

			dsv {
				db_delay_del;
				db_vbst_del;
			};
		};
	};

	fragment@40 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@41 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			ext_buck_lp4@57 {
				compatible = "mediatek,ext_buck_lp4";
				linux,phandle = <0x48>;
				phandle = <0x48>;
				reg = <0x57>;
				status = "okay";
			};

			ext_buck_lp4x@50 {
				compatible = "mediatek,ext_buck_lp4x";
				linux,phandle = <0x49>;
				phandle = <0x49>;
				reg = <0x50>;
				status = "okay";
			};

			nfc@08 {
				compatible = "mediatek,nfc";
				linux,phandle = <0x47>;
				phandle = <0x47>;
				reg = <0x8>;
				status = "okay";
			};

			slave_charger@4b {
				compatible = "mediatek,slave_charger";
				linux,phandle = <0x46>;
				phandle = <0x46>;
				reg = <0x4b>;
				status = "okay";
			};

			speaker_amp@34 {
				compatible = "mediatek,speaker_amp";
				linux,phandle = <0x45>;
				phandle = <0x45>;
				reg = <0x34>;
				status = "okay";
			};
		};
	};

	fragment@42 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@43 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x33e140>;
			mediatek,use-push-pull;

			subpmic_pmu@34 {
				compatible = "mediatek,subpmic_pmu";
				linux,phandle = <0x4a>;
				phandle = <0x4a>;
				reg = <0x34>;
				status = "okay";
			};

			usb_type_c@4e {
				compatible = "mediatek,usb_type_c";
				linux,phandle = <0x4b>;
				phandle = <0x4b>;
				reg = <0x4e>;
				status = "okay";
			};
		};
	};

	fragment@44 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			ext_buck_vgpu@55 {
				compatible = "mediatek,ext_buck_vgpu";
				linux,phandle = <0x4c>;
				phandle = <0x4c>;
				reg = <0x55>;
				status = "okay";
			};
		};
	};

	fragment@45 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@46 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@47 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@48 {
		target = <0xffffffff>;

		__overlay__ {
			GPIO_FDD_BAND_SUPPORT_DETECT_1ST_PIN = <0xffffffff 0xa6 0x0>;
			GPIO_FDD_BAND_SUPPORT_DETECT_2ND_PIN = <0xffffffff 0xa5 0x0>;
			GPIO_FDD_BAND_SUPPORT_DETECT_3RD_PIN = <0xffffffff 0xa4 0x0>;
			GPIO_FDD_BAND_SUPPORT_DETECT_4TH_PIN = <0xffffffff 0xa3 0x0>;
			GPIO_FDD_BAND_SUPPORT_DETECT_5TH_PIN = <0xffffffff 0xa7 0x0>;
			GPIO_SIM1_HOT_PLUG = <0xffffffff 0x2f 0x0>;
			GPIO_SIM1_SCLK = <0xffffffff 0x26 0x0>;
			GPIO_SIM1_SIO = <0xffffffff 0x28 0x0>;
			GPIO_SIM1_SRST = <0xffffffff 0x27 0x0>;
			GPIO_SIM2_HOT_PLUG = <0xffffffff 0x2e 0x0>;
			GPIO_SIM2_SCLK = <0xffffffff 0x25 0x0>;
			GPIO_SIM2_SIO = <0xffffffff 0x23 0x0>;
			GPIO_SIM2_SRST = <0xffffffff 0x24 0x0>;
		};
	};

	fragment@49 {
		target = <0xffffffff>;

		__overlay__ {
			gpio_init_default = <0x0 0x0 0x0 0x0 0x1 0x1 0x1 0x1 0x0 0x0 0x0 0x1 0x1 0x1 0x2 0x0 0x0 0x0 0x1 0x1 0x1 0x3 0x0 0x0 0x0 0x1 0x1 0x1 0x4 0x5 0x0 0x0 0x1 0x1 0x0 0x5 0x0 0x0 0x0 0x1 0x1 0x0 0x6 0x0 0x0 0x0 0x1 0x1 0x0 0x7 0x0 0x0 0x0 0x1 0x1 0x0 0x8 0x7 0x0 0x0 0x1 0x1 0x0 0x9 0x0 0x0 0x0 0x1 0x1 0x0 0xa 0x0 0x0 0x0 0x1 0x0 0x0 0xb 0x0 0x0 0x0 0x1 0x1 0x0 0xc 0x0 0x0 0x0 0x1 0x1 0x0 0xd 0x3 0x0 0x0 0x1 0x0 0x0 0xe 0x3 0x1 0x0 0x0 0x0 0x0 0xf 0x3 0x1 0x0 0x0 0x0 0x0 0x10 0x3 0x1 0x0 0x0 0x0 0x0 0x11 0x6 0x0 0x0 0x1 0x0 0x0 0x12 0x6 0x1 0x0 0x0 0x0 0x0 0x13 0x6 0x1 0x0 0x0 0x0 0x0 0x14 0x6 0x1 0x0 0x0 0x0 0x0 0x15 0x3 0x0 0x0 0x1 0x1 0x0 0x16 0x3 0x0 0x0 0x1 0x0 0x0 0x17 0x0 0x0 0x0 0x1 0x1 0x0 0x18 0x3 0x0 0x0 0x1 0x0 0x0 0x19 0x3 0x0 0x0 0x1 0x1 0x0 0x1a 0x3 0x0 0x0 0x1 0x1 0x0 0x1b 0x0 0x1 0x0 0x0 0x0 0x0 0x1c 0x3 0x0 0x0 0x1 0x1 0x0 0x1d 0x1 0x1 0x0 0x0 0x0 0x1 0x1e 0x1 0x0 0x0 0x1 0x1 0x1 0x1f 0x1 0x0 0x0 0x1 0x1 0x1 0x20 0x1 0x0 0x0 0x1 0x1 0x1 0x21 0x1 0x0 0x0 0x1 0x1 0x1 0x22 0x1 0x0 0x0 0x1 0x1 0x1 0x23 0x1 0x0 0x0 0x1 0x1 0x0 0x24 0x1 0x1 0x0 0x0 0x0 0x0 0x25 0x1 0x1 0x0 0x0 0x0 0x0 0x26 0x1 0x1 0x0 0x0 0x0 0x0 0x27 0x1 0x1 0x0 0x0 0x0 0x0 0x28 0x1 0x0 0x0 0x1 0x1 0x0 0x29 0x1 0x0 0x0 0x1 0x1 0x0 0x2a 0x0 0x0 0x0 0x1 0x0 0x0 0x2b 0x1 0x1 0x0 0x0 0x0 0x0 0x2c 0x1 0x0 0x0 0x1 0x0 0x0 0x2d 0x1 0x1 0x1 0x0 0x0 0x0 0x2e 0x1 0x0 0x0 0x1 0x1 0x0 0x2f 0x1 0x0 0x0 0x1 0x1 0x0 0x30 0x1 0x0 0x0 0x1 0x1 0x1 0x31 0x1 0x0 0x0 0x1 0x1 0x1 0x32 0x1 0x0 0x0 0x1 0x1 0x1 0x33 0x1 0x0 0x0 0x1 0x1 0x1 0x34 0x1 0x1 0x0 0x1 0x0 0x0 0x35 0x1 0x1 0x0 0x1 0x0 0x0 0x36 0x1 0x1 0x0 0x1 0x0 0x0 0x37 0x1 0x1 0x0 0x1 0x0 0x0 0x38 0x1 0x1 0x0 0x1 0x0 0x0 0x39 0x1 0x1 0x0 0x1 0x0 0x0 0x3a 0x0 0x0 0x0 0x1 0x0 0x0 0x3b 0x1 0x0 0x0 0x1 0x0 0x0 0x3c 0x1 0x0 0x0 0x1 0x0 0x0 0x3d 0x1 0x0 0x0 0x1 0x0 0x0 0x3e 0x1 0x0 0x0 0x1 0x0 0x0 0x3f 0x1 0x0 0x0 0x1 0x0 0x0 0x40 0x1 0x0 0x0 0x1 0x0 0x0 0x41 0x1 0x0 0x0 0x1 0x0 0x0 0x42 0x1 0x0 0x0 0x1 0x0 0x0 0x43 0x1 0x0 0x0 0x1 0x0 0x0 0x44 0x1 0x0 0x0 0x1 0x0 0x0 0x45 0x1 0x1 0x0 0x1 0x0 0x0 0x46 0x1 0x1 0x0 0x1 0x0 0x0 0x47 0x1 0x1 0x0 0x1 0x0 0x0 0x48 0x1 0x1 0x0 0x1 0x0 0x0 0x49 0x1 0x1 0x0 0x1 0x0 0x0 0x4a 0x1 0x1 0x0 0x1 0x0 0x0 0x4b 0x1 0x1 0x0 0x1 0x0 0x0 0x4c 0x1 0x1 0x0 0x1 0x0 0x0 0x4d 0x1 0x1 0x0 0x1 0x0 0x0 0x4e 0x1 0x1 0x0 0x1 0x0 0x0 0x4f 0x1 0x0 0x0 0x1 0x0 0x0 0x50 0x1 0x0 0x0 0x1 0x0 0x0 0x51 0x1 0x0 0x0 0x1 0x1 0x1 0x52 0x1 0x0 0x0 0x1 0x1 0x1 0x53 0x1 0x0 0x0 0x1 0x1 0x1 0x54 0x1 0x0 0x0 0x1 0x1 0x1 0x55 0x1 0x1 0x0 0x1 0x0 0x0 0x56 0x1 0x1 0x0 0x1 0x0 0x0 0x57 0x0 0x1 0x0 0x0 0x0 0x0 0x58 0x0 0x1 0x0 0x1 0x0 0x0 0x59 0x1 0x0 0x0 0x1 0x0 0x0 0x5a 0x2 0x1 0x0 0x0 0x0 0x0 0x5b 0x0 0x1 0x0 0x1 0x0 0x0 0x5c 0x1 0x1 0x0 0x0 0x0 0x0 0x5d 0x1 0x0 0x0 0x1 0x1 0x0 0x5e 0x1 0x0 0x0 0x1 0x1 0x0 0x5f 0x1 0x0 0x0 0x1 0x1 0x0 0x60 0x1 0x1 0x0 0x0 0x0 0x0 0x61 0x0 0x1 0x0 0x0 0x0 0x0 0x62 0x0 0x1 0x0 0x0 0x0 0x0 0x63 0x1 0x1 0x0 0x0 0x0 0x0 0x64 0x1 0x1 0x0 0x0 0x0 0x0 0x65 0x0 0x1 0x0 0x0 0x0 0x0 0x66 0x0 0x1 0x0 0x0 0x0 0x0 0x67 0x1 0x0 0x0 0x1 0x1 0x1 0x68 0x1 0x0 0x0 0x1 0x1 0x1 0x69 0x1 0x0 0x0 0x1 0x1 0x1 0x6a 0x1 0x0 0x0 0x1 0x1 0x1 0x6b 0x2 0x1 0x0 0x0 0x0 0x0 0x6c 0x1 0x1 0x0 0x0 0x0 0x0 0x6d 0x2 0x0 0x0 0x1 0x1 0x0 0x6e 0x0 0x0 0x0 0x1 0x0 0x0 0x6f 0x0 0x0 0x0 0x1 0x0 0x0 0x70 0x0 0x0 0x0 0x1 0x0 0x0 0x71 0x0 0x0 0x0 0x1 0x0 0x0 0x72 0x0 0x0 0x0 0x1 0x0 0x0 0x73 0x0 0x0 0x0 0x1 0x0 0x0 0x74 0x0 0x0 0x0 0x1 0x0 0x0 0x75 0x0 0x0 0x0 0x1 0x0 0x0 0x76 0x0 0x0 0x0 0x1 0x0 0x0 0x77 0x0 0x0 0x0 0x1 0x0 0x0 0x78 0x0 0x0 0x0 0x1 0x0 0x0 0x79 0x0 0x0 0x0 0x1 0x0 0x0 0x7a 0x1 0x0 0x0 0x1 0x1 0x1 0x7b 0x1 0x0 0x0 0x1 0x1 0x1 0x7c 0x1 0x1 0x0 0x0 0x0 0x1 0x7d 0x1 0x0 0x0 0x1 0x1 0x1 0x7e 0x1 0x0 0x0 0x1 0x1 0x1 0x7f 0x1 0x0 0x0 0x1 0x1 0x1 0x80 0x1 0x0 0x0 0x1 0x1 0x1 0x81 0x1 0x0 0x0 0x1 0x1 0x1 0x82 0x1 0x0 0x0 0x1 0x1 0x1 0x83 0x1 0x0 0x0 0x1 0x0 0x1 0x84 0x1 0x0 0x0 0x1 0x1 0x1 0x85 0x1 0x1 0x1 0x0 0x0 0x1 0x86 0x1 0x0 0x0 0x1 0x0 0x1 0x87 0x1 0x1 0x0 0x0 0x0 0x0 0x88 0x1 0x1 0x0 0x0 0x0 0x0 0x89 0x1 0x1 0x0 0x0 0x0 0x0 0x8a 0x1 0x1 0x0 0x0 0x0 0x0 0x8b 0x1 0x1 0x0 0x0 0x0 0x0 0x8c 0x1 0x0 0x0 0x1 0x0 0x0 0x8d 0x1 0x0 0x0 0x1 0x0 0x0 0x8e 0x1 0x0 0x0 0x1 0x0 0x0 0x8f 0x1 0x0 0x0 0x1 0x0 0x0 0x90 0x1 0x0 0x0 0x1 0x0 0x0 0x91 0x1 0x1 0x1 0x0 0x0 0x0 0x92 0x1 0x0 0x0 0x1 0x0 0x0 0x93 0x1 0x1 0x0 0x0 0x0 0x0 0x94 0x1 0x1 0x0 0x0 0x0 0x0 0x95 0x1 0x1 0x0 0x0 0x0 0x0 0x96 0x6 0x0 0x0 0x1 0x1 0x0 0x97 0x6 0x1 0x0 0x0 0x0 0x0 0x98 0x5 0x0 0x0 0x1 0x1 0x0 0x99 0x0 0x1 0x0 0x0 0x0 0x0 0x9a 0x0 0x1 0x1 0x0 0x0 0x0 0x9b 0x7 0x1 0x0 0x0 0x0 0x0 0x9c 0x7 0x0 0x0 0x1 0x0 0x0 0x9d 0x7 0x0 0x0 0x1 0x0 0x0 0x9e 0x7 0x0 0x0 0x1 0x0 0x0 0x9f 0x0 0x1 0x0 0x0 0x0 0x0 0xa0 0x0 0x1 0x0 0x0 0x0 0x0 0xa1 0x1 0x0 0x0 0x1 0x1 0x1 0xa2 0x1 0x0 0x0 0x1 0x1 0x1 0xa3 0x0 0x0 0x0 0x1 0x0 0x0 0xa4 0x0 0x0 0x0 0x1 0x0 0x0 0xa5 0x0 0x0 0x0 0x1 0x0 0x0 0xa6 0x0 0x0 0x0 0x1 0x0 0x0 0xa7 0x0 0x0 0x0 0x1 0x0 0x0 0xa8 0x0 0x0 0x0 0x1 0x0 0x0 0xa9 0x0 0x1 0x0 0x0 0x0 0x0 0xaa 0x0 0x1 0x0 0x0 0x0 0x0 0xab 0x0 0x0 0x0 0x1 0x0 0x0 0xac 0x0 0x1 0x1 0x0 0x0 0x0 0xad 0x0 0x1 0x0 0x0 0x0 0x0 0xae 0x0 0x1 0x0 0x0 0x0 0x0 0xaf 0x0 0x1 0x0 0x0 0x0 0x0 0xb0 0x0 0x1 0x0 0x0 0x0 0x0 0xb1 0x0 0x1 0x0 0x0 0x0 0x0 0xb2 0x0 0x1 0x0 0x0 0x0 0x0 0xb3 0x0 0x0 0x0 0x1 0x0 0x0>;
		};
	};

	fragment@5 {
		target = <0xffffffff>;

		__overlay__ {
			aft_enable = <0x0>;
			bus_id = <0x0>;
			bus_type = "i2c";
			compatible = "huawei,ts_kit";
			debounce = <0x6 0x0>;
			drv_stop_width = <0x0>;
			has_virtualkey = <0x0>;
			hide_plain_id = <0x0>;
			interrupt-parent = <0xffffffff>;
			interrupts = <0x0 0x2 0x0 0x0>;
			lcd_height = <0x0>;
			lcd_width = <0x0>;
			need_i2c_hwlock = <0x0>;
			product = "jakarta";
			register_charger_notifier = <0x0>;
			status = "okay";

			touchscreen@38 {
				algo_id = <0x1>;
				calc_crc_delay = <0x12c>;
				charger_supported = <0x0>;
				check_bulcked = <0x0>;
				check_status_watchdog_timeout = <0x0>;
				chip_id = <0x54>;
				compatible = "fts";
				erase_flash_query_times = <0xf>;
				erase_min_delay = <0x546>;
				erase_query_delay = <0x32>;
				flip_x = <0x1>;
				flip_y = <0x1>;
				fp_tp_report_touch_minor_event = <0x0>;
				fts,fw_only_depend_on_lcd = <0x0>;
				fts,need_distinguish_lcd = <0x1>;
				get_brightness_info_flag = <0x0>;
				glove_supported = <0x0>;
				hard_reset_delay = <0xc8>;
				has_virtualkey = <0x0>;
				holster_supported = <0x0>;
				ic_type = <0x2>;
				irq_config = <0x3>;
				lcd_full = <0x0>;
				linux,phandle = <0x3a>;
				need_wd_check_status = <0x0>;
				only_open_once_captest_threshold = <0x1>;
				parade,direct_proc_cmd = <0x0>;
				parade,is_parade_solution = <0x0>;
				parade,sleep_in_mode = <0x0>;
				pen_support = <0x0>;
				phandle = <0x3a>;
				pinctrl-0 = <0xb>;
				pinctrl-1 = <0xc>;
				pinctrl-2 = <0xd>;
				pinctrl-3 = <0xe>;
				pinctrl-4 = <0xf>;
				pinctrl-5 = <0x10>;
				pinctrl-names = "default", "state_eint_as_int", "state_eint_output0", "state_eint_output1", "state_rst_output0", "state_rst_output1";
				power_self_ctrl = <0x1>;
				pram_projectid_addr = <0xd7a0>;
				projectid_len = <0xa>;
				provide_panel_id_support = <0x1>;
				rawdata_newformatflag = <0x1>;
				read_ecc_query_times = <0x64>;
				reboot_delay = <0x12c>;
				roi_supported = <0x0>;
				slave_address = <0x38>;
				support_3d_func = <0x0>;
				support_aft = <0x0>;
				touch_switch_flag = <0x2>;
				ts-kit-iovdd-supply = <0xffffffff>;
				ts-kit-iovdd-type = <0x1>;
				ts-kit-iovdd-value = <0x1b7740>;
				ts-kit-vcc-supply = <0xffffffff>;
				ts-kit-vcc-type = <0x1>;
				ts-kit-vcc-value = <0x2dc6c0>;
				upgrade_loop_times = <0x5>;
				use_lcdkit_power_notify = <0x1>;
				vddio_default_on = <0x1>;
				write_flash_query_times = <0x1e>;
				x_max = <0x2d0>;
				x_max_mt = <0x2d0>;
				y_max = <0x618>;
				y_max_mt = <0x618>;

				jaka53020 {
					compatible = "fts-jaka53020";
					ic_type = <0x2>;
					lcd_noise_data_test = <0x1>;
					producer = "truly";
					provide_panel_id_suppot = <0x1>;
					row_column_delta_test = <0x0>;
					row_column_delta_test_point_by_point = <0x1>;
					threshold,in_csv_file = <0x1>;
					threshold,point_by_point_judge = <0x1>;
				};
			};

			ts_kit@14 {
				algo_id = <0x1>;
				charger_supported = <0x0>;
				check_bulcked = <0x0>;
				chip_name = "1158";
				compatible = "gt1x";
				easy_wakeup_supported = <0x0>;
				flip_x = <0x1>;
				flip_y = <0x1>;
				fw_only_depend_on_lcd = <0x1>;
				glove_supported = <0x0>;
				gt1x_edge_add = <0x81a1>;
				gt1x_support_edge_xyer = <0x1>;
				gt1x_test_limit = <0x1>;
				holster_supported = <0x0>;
				ic_type = <0x0>;
				irq_config = <0x3>;
				linux,phandle = <0x3b>;
				module_vendor = "ofilm";
				only_open_once_captest_threshold = <0x1>;
				parade,direct_proc_cmd = <0x0>;
				parade,is_parade_solution = <0x0>;
				parade,sleep_in_mode = <0x0>;
				pen_support = <0x0>;
				phandle = <0x3b>;
				pinctrl-0 = <0xb>;
				pinctrl-1 = <0xc>;
				pinctrl-2 = <0xd>;
				pinctrl-3 = <0xe>;
				pinctrl-4 = <0xf>;
				pinctrl-5 = <0x10>;
				pinctrl-names = "default", "state_eint_as_int", "state_eint_output0", "state_eint_output1", "state_rst_output0", "state_rst_output1";
				power_self_ctrl = <0x1>;
				project_id = "JAKA54000";
				projectid_len = <0xa>;
				provide_panel_id_support = <0x1>;
				rawdata_newformatflag = <0x1>;
				roi_data_size = <0x7 0x7>;
				roi_supported = <0x0>;
				slave_address = <0x14>;
				support_3d_func = <0x0>;
				support_aft = <0x0>;
				support_get_tp_color = <0x0>;
				tools_support = <0x1>;
				touch_switch_flag = <0x2>;
				ts-kit-iovdd-supply = <0xffffffff>;
				ts-kit-iovdd-type = <0x1>;
				ts-kit-iovdd-value = <0x1b7740>;
				ts-kit-vcc-supply = <0xffffffff>;
				ts-kit-vcc-type = <0x1>;
				ts-kit-vcc-value = <0x2dc6c0>;
				use_lcdkit_power_notify = <0x1>;
				vddio_default_on = <0x1>;
				x_max = <0x2d0>;
				x_max_mt = <0x2d0>;
				y_max = <0x618>;
				y_max_mt = <0x618>;

				SENSORID0 {
					compatible = "gt1x-sensorid-0";
					module_vendor = "ofilm";
					panel_id = <0x0>;
					project_id = "JAKA54000";
					provide_panel_id_suppot = <0x1>;
				};

				SENSORID1 {
					compatible = "gt1x-sensorid-1";
					module_vendor = "eely";
					panel_id = <0x1>;
					project_id = "JAKA54010";
					provide_panel_id_suppot = <0x1>;
				};
			};
		};
	};

	fragment@50 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x0 0x2 0x0 0x0>;
			status = "okay";
		};
	};

	fragment@51 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x1 0x2 0x1 0x0>;
			status = "okay";
		};
	};

	fragment@52 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x7 0x8 0x7 0x0>;
			status = "okay";
		};
	};

	fragment@53 {
		target = <0xffffffff>;

		__overlay__ {
			deb-gpios = <0xffffffff 0x9 0x0>;
			debounce = <0x3e800>;
			interrupt-parent = <0xffffffff>;
			interrupts = <0x9 0x8 0x9 0x0>;
			status = "okay";
		};
	};

	fragment@54 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0xa 0x4 0xa 0x0>;
			status = "okay";
		};
	};

	fragment@55 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0xb 0x2 0xb 0x0>;
			status = "okay";
		};
	};

	fragment@56 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x17 0x8 0x17 0x0>;
			status = "okay";
		};
	};

	fragment@57 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x2c 0x1 0x2c 0x1>;
			status = "okay";
		};
	};

	fragment@58 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x90 0x4 0x90 0x1>;
			status = "okay";
		};
	};

	fragment@59 {
		target = <0xffffffff>;

		__overlay__ {
			deb-gpios = <0xffffffff 0x29 0x0>;
			debounce = <0x7d00>;
			interrupt-parent = <0xffffffff>;
			interrupts = <0x93 0x8 0x29 0x1>;
			status = "okay";
		};
	};

	fragment@6 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0xb>;
			pinctrl-1 = <0xc>;
			pinctrl-2 = <0xd>;
			pinctrl-3 = <0xe>;
			pinctrl-4 = <0xf>;
			pinctrl-5 = <0x10>;
			pinctrl-names = "default", "state_eint_as_int", "state_eint_output0", "state_eint_output1", "state_rst_output0", "state_rst_output1";
			status = "okay";
			tpd-filter-custom-prameters = <0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0>;
			tpd-filter-custom-speed = <0x0 0x0 0x0>;
			tpd-filter-enable = <0x1>;
			tpd-filter-pixel-density = <0x92>;
			tpd-key-dim-local = <0x5a 0x373 0x64 0x28 0xe6 0x373 0x64 0x28 0x172 0x373 0x64 0x28 0x0 0x0 0x0 0x0>;
			tpd-key-local = <0x8b 0xac 0x9e 0x0>;
			tpd-key-num = <0x3>;
			tpd-max-touch-num = <0x5>;
			tpd-resolution = <0x438 0x780>;
			use-tpd-button = <0x0>;
		};
	};

	fragment@60 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,md1_sim1_hot_plug_eint-eint";
			debounce = <0x0 0x2710>;
			dedicated = <0x0 0x0>;
			interrupts = <0x0 0x8>;
			sockettype = <0x0 0x0>;
			src_pin = <0x0 0x1>;
			status = "okay";
		};
	};

	fragment@61 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,md1_sim2_hot_plug_eint-eint";
			debounce = <0x1 0x2710>;
			dedicated = <0x1 0x0>;
			interrupts = <0x1 0x8>;
			sockettype = <0x1 0x0>;
			src_pin = <0x1 0x2>;
			status = "okay";
		};
	};

	fragment@62 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vcama";
			status = "okay";
		};
	};

	fragment@63 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vsim1";
			status = "okay";
		};
	};

	fragment@64 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vsim2";
			status = "okay";
		};
	};

	fragment@65 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vcamd";
			status = "okay";
		};
	};

	fragment@66 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vcamio";
			status = "okay";
		};
	};

	fragment@67 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vldo28";
			status = "okay";
		};
	};

	fragment@68 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";
		};
	};

	fragment@69 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";
			vtouch-supply = <0xffffffff>;
		};
	};

	fragment@7 {
		target = <0xffffffff>;

		__overlay__ {

			eint0default {
				linux,phandle = <0xb>;
				phandle = <0xb>;
			};

			eint@0 {
				linux,phandle = <0xc>;
				phandle = <0xc>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x0>;
					slew-rate = <0x0>;
				};
			};

			eintoutput0 {
				linux,phandle = <0xd>;
				phandle = <0xd>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x0>;
					slew-rate = <0x1>;
				};
			};

			eintoutput1 {
				linux,phandle = <0xe>;
				phandle = <0xe>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x0>;
					slew-rate = <0x1>;
				};
			};

			rstoutput0 {
				linux,phandle = <0xf>;
				phandle = <0xf>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xae00>;
					slew-rate = <0x1>;
				};
			};

			rstoutput1 {
				linux,phandle = <0x10>;
				phandle = <0x10>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xae00>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@70 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,kpd-hw-dl-key0 = <0x11>;
			mediatek,kpd-hw-dl-key2 = <0x8>;
			mediatek,kpd-hw-factory-key = <0x1>;
			mediatek,kpd-hw-init-map = <0x0 0x72 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0>;
			mediatek,kpd-hw-map-num = <0x48>;
			mediatek,kpd-hw-pwrkey = <0x8>;
			mediatek,kpd-hw-recovery-key = <0x11>;
			mediatek,kpd-hw-rstkey = <0x11>;
			mediatek,kpd-key-debounce = <0x400>;
			mediatek,kpd-pwkey-gpio-din = <0x0>;
			mediatek,kpd-pwrkey-eint-gpio = <0x0>;
			mediatek,kpd-sw-pwrkey = <0x74>;
			mediatek,kpd-sw-rstkey = <0x73>;
			mediatek,kpd-use-extend-type = <0x0>;
			status = "okay";
		};
	};

	fragment@71 {
		target = <0xffffffff>;

		__overlay__ {
			product-name = "Jakarta";
		};
	};

	fragment@72 {
		target = <0xffffffff>;

		__overlay__ {
			decouple = <0x1>;

			channel@1 {
				ct = <0x0>;
				part = <0x0>;
				type = <0x0>;
			};
		};
	};

	fragment@73 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_main@10 {
				compatible = "mediatek,camera_main";
				linux,phandle = <0x4d>;
				phandle = <0x4d>;
				reg = <0x10>;
				status = "okay";
			};

			camera_main_af@0c {
				compatible = "mediatek,camera_main_af";
				linux,phandle = <0x4f>;
				phandle = <0x4f>;
				reg = <0xc>;
				status = "okay";
			};

			camera_main_eeprom@50 {
				compatible = "mediatek,camera_main_eeprom";
				linux,phandle = <0x4e>;
				phandle = <0x4e>;
				reg = <0x50>;
				status = "okay";
			};
		};
	};

	fragment@74 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_main_two@17 {
				compatible = "mediatek,camera_main_two";
				linux,phandle = <0x52>;
				phandle = <0x52>;
				reg = <0x17>;
				status = "okay";
			};

			camera_main_two_eeprom@50 {
				compatible = "mediatek,camera_main_two_eeprom";
				linux,phandle = <0x53>;
				phandle = <0x53>;
				reg = <0x50>;
				status = "okay";
			};

			camera_sub@36 {
				compatible = "mediatek,camera_sub";
				linux,phandle = <0x50>;
				phandle = <0x50>;
				reg = <0x36>;
				status = "okay";
			};

			camera_sub_eeprom@52 {
				compatible = "mediatek,camera_sub_eeprom";
				linux,phandle = <0x51>;
				phandle = <0x51>;
				reg = <0x52>;
				status = "okay";
			};
		};
	};

	fragment@75 {
		target = <0xffffffff>;

		__overlay__ {

			cam0@0 {
				linux,phandle = <0x24>;
				phandle = <0x24>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6500>;
					slew-rate = <0x1>;
				};
			};

			cam0@1 {
				linux,phandle = <0x25>;
				phandle = <0x25>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x6500>;
					slew-rate = <0x1>;
				};
			};

			cam1@0 {
				linux,phandle = <0x26>;
				phandle = <0x26>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6600>;
					slew-rate = <0x1>;
				};
			};

			cam1@1 {
				linux,phandle = <0x27>;
				phandle = <0x27>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x6600>;
					slew-rate = <0x1>;
				};
			};

			cam2@0 {
				linux,phandle = <0x28>;
				phandle = <0x28>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6d00>;
					slew-rate = <0x1>;
				};
			};

			cam2@1 {
				linux,phandle = <0x29>;
				phandle = <0x29>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x6d00>;
					slew-rate = <0x1>;
				};
			};

			cam2@2 {
				linux,phandle = <0x2a>;
				phandle = <0x2a>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6b00>;
					slew-rate = <0x1>;
				};
			};

			cam2@3 {
				linux,phandle = <0x2b>;
				phandle = <0x2b>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x6b00>;
					slew-rate = <0x1>;
				};
			};

			camdefault {
				linux,phandle = <0x23>;
				phandle = <0x23>;
			};

			camera_pins_cam0_mclk_off {
				linux,phandle = <0x2d>;
				phandle = <0x2d>;

				pins_cmd_dat {
					pinmux = <0x6300>;
				};
			};

			camera_pins_cam0_mclk_on {
				linux,phandle = <0x2c>;
				phandle = <0x2c>;

				pins_cmd_dat {
					pinmux = <0x6301>;
				};
			};

			camera_pins_cam1_mclk_off {
				linux,phandle = <0x2f>;
				phandle = <0x2f>;

				pins_cmd_dat {
					pinmux = <0x6400>;
				};
			};

			camera_pins_cam1_mclk_on {
				linux,phandle = <0x2e>;
				phandle = <0x2e>;

				pins_cmd_dat {
					pinmux = <0x6401>;
				};
			};

			camera_pins_cam2_mclk_off {
				linux,phandle = <0x31>;
				phandle = <0x31>;

				pins_cmd_dat {
					pinmux = <0x6c00>;
				};
			};

			camera_pins_cam2_mclk_on {
				linux,phandle = <0x30>;
				phandle = <0x30>;

				pins_cmd_dat {
					pinmux = <0x6c01>;
				};
			};
		};
	};

	fragment@76 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vcama";
			status = "okay";
		};
	};

	fragment@77 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vcamd";
			status = "okay";
		};
	};

	fragment@78 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-default-on = <0x1>;
			regulator-name = "vcamio";
			status = "okay";
		};
	};

	fragment@79 {
		target = <0xffffffff>;

		__overlay__ {
			hw_cfg,i2c-dev0 = <0x0>;
			hw_cfg,i2c-dev1 = <0x1>;
			hw_cfg,i2c-dev2 = <0x2>;
			hw_cfg,num-sensors = <0x3>;
			hw_cfg,power-pin0 = "cam_mclk", "cam_avdd", "cam_dovdd", "cam_dvdd", "cam_rst", "cam_none";
			hw_cfg,power-pin1 = "cam_mclk", "cam_avdd", "cam_dovdd", "cam_dvdd", "cam_rst", "cam_none";
			hw_cfg,power-pin2 = "cam_mclk", "cam_avdd", "cam_dovdd", "cam_pdn", "cam_rst", "cam_none";
			hw_cfg,power-type0 = "mclk", "regulator", "regulator", "regulator", "gpio", "none";
			hw_cfg,power-type1 = "mclk", "regulator", "regulator", "regulator", "gpio", "none";
			hw_cfg,power-type2 = "mclk", "regulator", "regulator", "gpio", "gpio", "none";
			hw_cfg,sensor-idx0 = <0x0>;
			hw_cfg,sensor-idx1 = <0x1>;
			hw_cfg,sensor-idx2 = <0x2>;
			pinctrl-0 = <0x23>;
			pinctrl-1 = <0x24>;
			pinctrl-10 = <0x2d>;
			pinctrl-11 = <0x2e>;
			pinctrl-12 = <0x2f>;
			pinctrl-13 = <0x30>;
			pinctrl-14 = <0x31>;
			pinctrl-2 = <0x25>;
			pinctrl-3 = <0x26>;
			pinctrl-4 = <0x27>;
			pinctrl-5 = <0x28>;
			pinctrl-6 = <0x29>;
			pinctrl-7 = <0x2a>;
			pinctrl-8 = <0x2b>;
			pinctrl-9 = <0x2c>;
			pinctrl-names = "default", "cam0_rst0", "cam0_rst1", "cam1_rst0", "cam1_rst1", "cam2_rst0", "cam2_rst1", "cam2_pnd0", "cam2_pnd1", "cam0_mclk_on", "cam0_mclk_off", "cam1_mclk_on", "cam1_mclk_off", "cam2_mclk_on", "cam2_mclk_off";
			status = "okay";
			vcama-supply = <0xffffffff>;
			vcama_main2-supply = <0xffffffff>;
			vcama_sub-supply = <0xffffffff>;
			vcamaf-supply = <0xffffffff>;
			vcamd-supply = <0xffffffff>;
			vcamd_sub-supply = <0xffffffff>;
			vcamio-supply = <0xffffffff>;
			vcamio_main2-supply = <0xffffffff>;
			vcamio_sub-supply = <0xffffffff>;
		};
	};

	fragment@8 {
		target = <0xffffffff>;

		__overlay__ {
			algorithm_name = "SwitchCharging";
			chg1_ta_ac_charger_current = <0x1e8480>;
			chg2_ta_ac_charger_current = <0x1e8480>;
			dpm_enable;
			vdpm_buf_limit = <0x64>;
			vdpm_para = "-32767", "4000", "4200", "50", "4000", "4200", "4400", "50", "4200", "32767", "4600", "50";
		};
	};

	fragment@9 {
		target = <0xffffffff>;

		__overlay__ {

			consys_default {
				linux,phandle = <0x11>;
				phandle = <0x11>;
			};

			gpslna@0 {
				linux,phandle = <0x12>;
				phandle = <0x12>;

				pins_cmd_dat {
					bias-disable;
					output-low;
					pinmux = <0x5b00>;
					slew-rate = <0x0>;
				};
			};

			gpslna@1 {
				linux,phandle = <0x13>;
				phandle = <0x13>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x5b00>;
					slew-rate = <0x1>;
				};
			};

			gpslna@2 {
				linux,phandle = <0x14>;
				phandle = <0x14>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x5b00>;
					slew-rate = <0x1>;
				};
			};
		};
	};
};
